# GMR Chocobo management sub routine
#   chocobo.pl
#
#   ver 0.813 (2018/05/14)

# sub def_chocobo_list		`R{֘ÃXg`
# sub def_mount_list		}Eg֘ÃXg`
# sub clear_chocobo_list	`R{֘ÃXg
# sub clear_mount_list		}Eg֘ÃXg
# sub table_chocobor		`R{琬ꗗ
# sub table_chocobo		`R{ꗗ
# sub table_mount		}Egꗗ
# sub menu_chocobo		`R{֘AOCj[
# sub form_chocobo		`R{֘AFORM


sub def_chocobo_list {
	if($language ne "English"){
		# `R{琬
		@chocobo_raising_list =(
			'`R{[X',
			'T',
			'',
			'`R{',
		);
		# `R{[X
		@chocobo_racing_list =(
			[
				'Jbv',
				'gtB[',
			],
			#	'Jbv',
			[
				'brqt',
				'brqt',
				'brqt',
			],
			#	'gtB[',
			[
				'uYgtB[',
				'~XgtB[',
			],
		);

		# T
		@chocobo_game_list =(
			[
				'CZX',
			],
			#	'CZX',
			[
				'r','l','M',
				'','ݕ','',
			],
		);

		@chocobo_prof_list =(
			'O',
			'',
			'F',
			'',
			'v',
			'f',
			'',
			'DȓV',
			'ȓV',
			'AreB',
			'AreB',
			'i',
			'Ăяo',
			'[X',
		);

		# 
		@chocobo_sex_list=('','','',);
		# F
		@chocobo_color_list=('','','','','','',);
		# N
		@chocobo_rank_list=( '', '邩Ȃ', '͂悤', 'W܂łƏ', 'WNX', 'W͂肻', 'ȂȂ肻', '悤', 'ōNX', );
		# V
		@chocobo_weather_list=('','Ȃ','','܂','J','','','','Mg','','È','I[',);
		# AreB
		@chocobo_ability_list=( '', 'I[gWFl', 'J^[', 'Mbv', '˂@', 'd@', '̚ko', );
		# i
		@chocobo_personality_list=('','₩','rX','䖝','_o','',);
	}
	else {
		require('englishlist.pl');
		&def_chocobo_list_e;
	}
}

sub def_mount_list {
	if($language ne "English"){
		@mount_list =(
			'}Eg',
			[
				'}C`R{',
				'vg',
				'',
				'Nu',
				'ԃNu',
				'{',
				'r',
				'{',
				'tF',
				'NE[',
				'b',
				'[O',
				'}WbN|bh',
				'gDtFCA',
				'EH[}V',
				']~g',
				'q|Ot',
				'̈֎q',
				'XtBACh',
				'IK',
				'N@[',
			],
		);
	}
	else {
		require('englishlist.pl');
		&def_mount_list_e;
	}
}

sub clear_chocobo_list {
		@chocobo_raising_list =();
		@chocobo_racing_list =();
		@chocobo_game_list =();
		@chocobo_sex_list=();
		@chocobo_color_list=();
		@chocobo_rank_list=();
		@chocobo_weather_list=();
		@chocobo_ability_list=();
		@chocobo_personality_list=();
}

sub clear_mount_list {
		@mount_list =();
}

sub table_chocobor {
	&def_chocobo_list();

	&th_bgn(3) ;

	$i=0;		# `R{[X
	@templist = @{$chocobo_racing_list[0]} ;
	$listlength[$i] = $#templist +1 ;
	$itemnum = 0;
	for($j=0;$j<$listlength[$i] ;$j++) {
		@templist2 = @{$chocobo_racing_list[$j+1]} ;
		$itemnum2 = $#templist2 +1 ;
		$listlength2[$i][$j] = $itemnum2 ;
		$itemnum += $itemnum2;
		$str2 .= "<TH colspan=$itemnum2>$templist[$j]</TH>\n";
		for($k=0;$k<$itemnum2;$k++) {
			$str3 .= "<TH>$templist2[$k]</TH>\n";
		}
	}
	$str1 .= "<TH colspan=$itemnum>$chocobo_raising_list[$i]</TH>\n";

	$i=1;		# T
	@templist = @{$chocobo_game_list[0]} ;
	$listlength[$i] = $#templist +1 ;
	$itemnum = 0;
	for($j=0;$j<$listlength[$i] ;$j++) {
		@templist2 = @{$chocobo_game_list[$j+1]} ;
		$itemnum2 = $#templist2 +1 ;
		$listlength2[$i][$j] = $itemnum2 ;
		$itemnum += $itemnum2;
		$str2 .= "<TH colspan=$itemnum2>$templist[$j]</TH>\n";
		for($k=0;$k<$itemnum2;$k++) {
			$str3 .= "<TH>$templist2[$k]</TH>\n";
		}
	}
	$str1 .= "<TH colspan=$itemnum>$chocobo_raising_list[$i]</TH>\n";

	$i=2;		# 
	$str1 .= "<TH rowspan=3>$chocobo_raising_list[$i]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@chocobos = split(/,/,$chocobo);
		$racing = $chocobos[0] ;
		@racings = split( /\//, $racing);
		@trophys = split( //, $racings[3]);
		$game = $chocobos[1] ;
		@games = split( /\//, $game);
		@licenses = split( //, $games[0]);
		$itemnum = $chocobos[2] ;

		&tr_bgn ;
		
		$i=0;		# `R{[X
		$j=0;		# Jbv
		for ( $k=0; $k<$listlength2[$i][$j] ; $k++ ){
			print "<TD align=center>$racings[ $k ]</TD>\n";
		}
		$j=1;		#gtB[
		for ( $k=0; $k<$listlength2[$i][$j] ; $k++ ){
			print "<TD align=center>$maru[$trophys[ $k ]]</TD>\n";
		}
		$i=1;		# T
		$j=0;		#CZX
		for ( $k=0; $k<$listlength2[$i][$j] ; $k++ ){
			print "<TD align=center>$maru[$licenses[ $k ]]</TD>\n";
		}
		$i=2;		#
		print "<TD align=center>$itemnum</TD>\n";

		&tr_end ;
	}
	print "</table>\n";
}

sub table_chocobo {
	&def_chocobo_list();

	&th_bgn(2) ;

#		$i=3;		#`R{
	@templist = @chocobo_prof_list ;
	$listlength = $#templist ;
	$str1 .= ("<TH colspan=$listlength>$chocobo_raising_list[3]</TH>\n" );

	for($j=0;$j<=$listlength ;$j++) {
		if ( $j == 10 ) { next; }
		$str2 .= "<TH>$templist[$j]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@chocobos = split(/,/,$chocobo);
		$temp = shift( @chocobos ) ;
		$temp = shift( @chocobos ) ;
		$itemnum = shift( @chocobos ) ;
		if ( $itemnum <1 ) { $itemnum=1; }

		&tr_bgn( $itemnum ) ;

		for ( $i=0; $i<$itemnum ; $i++ ){
			if ($i!=0 ) {
				print "<TR$bgn>\n";
			}

			$temp = shift( @chocobos ) ;
			@templist = split( /\//, $temp);
				#'O',
			print "<TD align=center>$templist[0]</TD>\n";
				#'',
			print "<TD align=center>$chocobo_sex_list[ $templist[1] ]</TD>\n";
				#'F',
			print "<TD align=center>$chocobo_color_list[ $templist[2] ]</TD>\n";
				#'(STR)',
			print "<TD align=center>$chocobo_rank_list[ $templist[3] ]</TD>\n";
				#'v(END)',
			print "<TD align=center>$chocobo_rank_list[ $templist[4] ]</TD>\n";
				#'f(DSC)',
			print "<TD align=center>$chocobo_rank_list[ $templist[5] ]</TD>\n";
				#'(RCP)',
			print "<TD align=center>$chocobo_rank_list[ $templist[6] ]</TD>\n";
				#'DȓV',
			print "<TD align=center>$chocobo_weather_list[ $templist[7] ]</TD>\n";
				#'ȓV',
			print "<TD align=center>$chocobo_weather_list[ $templist[8] ]</TD>\n";
				#'AreB',
			print "<TD align=center>" ;
			if ( $templist[0] eq '' ) {
				print "$chocobo_ability_list[ $templist[9] ]";
			} elsif ( ( $templist[9] == 0 ) and ( $templist[10] == 0) )  {
				print 'Ȃ' ;
			} else {
				print "$chocobo_ability_list[ $templist[9] ]";
				if ( ( $templist[9] != 0 ) and ( $templist[10] != 0) )  {	print 'E' ; }
				print "$chocobo_ability_list[ $templist[10] ]";
			}
			print "</TD>\n";
				#'i',
			print "<TD align=center>$chocobo_personality_list[ $templist[11] ]</TD>\n";
				#'Ăяo',
			if ( $templist[12] == 1 ) {
				print "<TD align=center>$maru[$templist[12] ]</TD>\n";
			} else {
				print "<TD align=center></TD>\n";
			}
				#'[X',
			if ( $templist[13] == 1 ) {
				print "<TD align=center>$maru[$templist[13] ]</TD>\n";
			} else {
				print "<TD align=center></TD>\n";
			}

			if ($i==0 ) {
				&tr_end ;
			}
			else{
				print "</TR>\n";
				$count++;
			}
		}
	}
	print "</table>\n";
}

sub table_mount {
	&def_mount_list();

	&th_bgn(2) ;

	@templist = @{$mount_list[1]} ;
	$listlength = $#templist +1 ;
	$itemnum = $listlength ;
	$str1 .= "<TH colspan=$itemnum>$mount_list[0]</TH>\n";
	for($j=0;$j<$listlength ;$j++) {
		$str2 .= "<TH>$templist[$j]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@chocobos = split(/,/,$chocobo);
		$game = $chocobos[1] ;
		@games = split( /\//, $game);
		@mounts = split( //, $games[2]);

		&tr_bgn ;
		
		for ( $j=0; $j<$listlength ; $j++ ){
			print "<TD align=center>$maru[$mounts[ $j ]]</TD>\n";
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_chocobo {
	&def_chocobo_list();

	@chocobos = split(/,/,$chocobo);
	$racing = shift( @chocobos ) ;
	@racings = split( /\//, $racing);
	@trophys = split( //, $racings[3]);
	$game = shift( @chocobos ) ;
	@games = split( /\//, $game);
	@licenses = split( //, $games[0]);
	$itemnum = shift( @chocobos ) ;

	print "<input type=hidden name=all value=chocobo>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";
	print "<table border=0>\n";

	$i=0;		# `R{[X
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$chocobo_raising_list[$i]</th></tr>\n";
	@templist = @{$chocobo_racing_list[0]} ;
	$listlength = $#templist +1 ;
	$j=0;		# Jbv
	@templist2 = @{$chocobo_racing_list[$j+1]};
	$listlength2 = $#templist2 +1 ;
	print "<tr><td bgcolor=$indexcolor rowspan=$listlength2 nowrap>$templist[$j]</td>\n";
	for ( $k=0; $k<$listlength2 ; $k++ ){
		if ( $k != 0 ) { print "<tr>"; } 
		$fstr = "chocobo" . '_' . $i . '_' . $j . '_' . $k ;
		print "<td nowrap>$templist2[$k]</td>";
		print "<td><input type=text size=4 name=$fstr value=$racings[ $k ]></td></tr>\n";
	}
	$j=1;		#gtB[
	@templist2 = @{$chocobo_racing_list[$j+1]};
	$listlength2 = $#templist2 +1 ;
	print "<tr><td bgcolor=$indexcolor rowspan=$listlength2 nowrap>$templist[$j]</td>\n";
	for ( $k=0; $k<$listlength2 ; $k++ ){
		if ( $k != 0 ) { print "<tr>"; } 
		$fstr = "chocobo" . '_' . $i . '_' . $j . '_' . $k ;
		print "<td nowrap>$templist2[$k]</td><td><select name=$fstr>";
		if( $trophys[ $k] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option></td></tr>\n";}
		else		     {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option></td></tr>\n";}
	}
	print "<tr><td colspan=3>&nbsp;</td></tr>\n";
	print "</table></td><td valign=top><table border=0>\n";

	$i=1;		# T
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$chocobo_raising_list[$i]</th></tr>\n";
	@templist = @{$chocobo_game_list[0]} ;
	$listlength = $#templist +1 ;
	$j=0;		#CZX
	@templist2 = @{$chocobo_game_list[$j+1]};
	$listlength2 = $#templist2 +1 ;
	print "<tr><td bgcolor=$indexcolor rowspan=$listlength2 nowrap>$templist[$j]</td>\n";
	for ( $k=0; $k<$listlength2 ; $k++ ){
		if ( $k != 0 ) { print "<tr>"; } 
		$fstr = "chocobo" . '_' . $i . '_' . $j . '_' . $k ;
		print "<td nowrap>$templist2[$k]</td><td><select name=$fstr>";
		if( $licenses[ $k ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option></td></tr>\n";}
		else		      {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option></td></tr>\n";}
	}
	print "<tr><td colspan=3>&nbsp;</td></tr>\n";
	print "</table></td><td valign=top><table border=0>\n";

	$i=2;		#
	print "<tr><th colspan=2 bgcolor=$indexcolor nowrap>$chocobo_raising_list[$i]</th></tr>\n";
	print "<tr><td bgcolor=$indexcolor nowrap>$chocobo_raising_list[$i]</td>\n";
	$fstr = "chocobo" . '_' . $i ;
	print "<td><input type=text size=3 name=$fstr value=$itemnum></td></tr>\n";
	print "<tr><td colspan=2>&nbsp;</td></tr>\n";

	print "</table></td></tr><tr><td colspan=3><hr></td></tr>\n";

	print "<tr><td valign=top><table border=0>\n";
	if ( $itemnum <1 ) { $itemnum=1; }
#	$i=3;		#`R{
	@templist = @chocobo_prof_list;
	$listlength= $#templist +1 ;
	for ( $i=3; $i<3+$itemnum; $i++ ){
		$ii = $i-2 ;
		print "<tr><th colspan=2 bgcolor=$indexcolor nowrap>$chocobo_raising_list[3] $ii</th></tr>\n";
		$temp = shift( @chocobos ) ;
		@templist2 = split( /\//, $temp);
		$j=0;		#'O',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td>";
			print "<td><input type=text size=20 name=$fstr value=$templist2[ $j ]></td></tr>\n";
		$j=1;		#'',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_sex_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_sex_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_sex_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=2;		#'F',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_color_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_color_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_color_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=3;		#'(STR)',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_rank_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_rank_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_rank_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=4;		#'v(END)',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_rank_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_rank_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_rank_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=5;		#'f(DSC)',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_rank_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_rank_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_rank_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=6;		#'(RCP)',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_rank_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_rank_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_rank_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=7;		#'DȓV',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_weather_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_weather_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_weather_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=8;		#'ȓV',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_weather_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_weather_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_weather_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=9;		#'AreB1',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_ability_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_ability_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_ability_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=10;		#'AreB2',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_ability_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_ability_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_ability_list[$k]</option>\n";		}
			}
			print "</td></tr>\n";
		$j=11;		#'i',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( !$templist2[$j] ){ $templist2[$j] = 0; }
			foreach $k ( 0..$#chocobo_personality_list ){
				if( $templist2[$j] == $k ){
					print "<option value=$k selected>$chocobo_personality_list[$k]</option>\n";	}
				else{	print "<option value=$k>$chocobo_personality_list[$k]</option>\n";			}
			}
			print "</td></tr>\n";
		$j=12;		#'Ăяo',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( $templist2[$j] ) {print "<option value=0></option><option selected value=1>$maru[1]</option></td></tr>\n";}
			else		    {print "<option selected value=0></option><option value=1>$maru[1]</option></td></tr>\n";}
		$j=13;		#'[X',
			$fstr = "chocobo" . '_' . $i . '_' . $j ;
			print "<tr><td bgcolor=$indexcolor nowrap>$templist[$j]</td><td><select name=$fstr>\n";
			if( $templist2[$j] ) {print "<option value=0></option><option selected value=1>$maru[1]</option></td></tr>\n";}
			else		    {print "<option selected value=0></option><option value=1>$maru[1]</option></td></tr>\n";}

		print "<tr><td colspan=3>&nbsp;</td></tr>\n";
		print "</table></td><td valign=top><table border=0>\n";

		if ( ($i%3) == 2 ) {
			print "</table></td></tr><tr><td colspan=3></td></tr><tr><td valign=top><table border=0>\n";
		}
	}
	print "</table></td></tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_chocobo_list();
}

sub menu_mount {
	&def_mount_list();

	@chocobos = split(/,/,$chocobo);
	$game = $chocobos[1] ;
	@games = split( /\//, $game);
	$mount = $games[2] ;
	@mounts = split( //, $mount );

	print "<input type=hidden name=all value=mount>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";
	print "<table border=0>\n";

#	$i=1;		# T
#	$j=2;		# }Eg
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$mount_list[0]</th></tr>\n";
	@templist = @{$mount_list[1]} ;
	$listlength = $#templist +1 ;
	for ( $k=0; $k<$listlength ; $k++ ){
		$fstr = 'mount' . '_' . $k ;
		print "<tr><td nowrap>$templist[$k]</td><td><select name=$fstr>";
		if( $mounts[ $k ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option></td></tr>\n";}
		else		     {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option></td></tr>\n";}
	}
	print "<tr><td colspan=3>&nbsp;</td></tr>\n";
	print "</table></td><td valign=top><table border=0>\n";

	print "</table></td></tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_mount_list();
}

sub form_chocobo {
	&def_chocobo_list();

	@chocobos = split(/,/,$chocobo);
	$game = $chocobos[1] ;
	@games = split( /\//, $game);
	$mount = $games[2] ;

	$chocobo = '';
	$i=0;		# `R{[X
	@templist = @{$chocobo_racing_list[0]} ;
	$listlength = $#templist +1 ;
	$j=0;		# Jbv
		@templist = @{$chocobo_racing_list[$j+1]} ;
		$listlength2 = $#templist +1 ;
		for ( $k=0; $k<$listlength2 ; $k++ ){
			$chocobo.=$FORM{"chocobo" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
			$chocobo.="/";
		}
	$j=1;		#gtB[
		@templist = @{$chocobo_racing_list[$j+1]} ;
		$listlength2 = $#templist +1 ;
		for ( $k=0; $k<$listlength2 ; $k++ ){
			$chocobo.=$FORM{"chocobo" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
		}
		$chocobo.="/";

	$chocobo.=",";

	$i=1;		# T
	@templist = @{$chocobo_game_list[0]} ;
	$listlength = $#templist +1 ;
	for($j=0;$j<$listlength ;$j++){
		@templist = @{$chocobo_game_list[$j+1]} ;
		$listlength2 = $#templist +1 ;
		for ( $k=0; $k<$listlength2 ; $k++ ){
			$chocobo.=$FORM{"chocobo" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
		}
		$chocobo.="/";
	}

	$chocobo.= '/' . $mount . '/,' ;

	$i=2;		#
	$itemnum=$FORM{"chocobo" . '_' . "$i"};
	$chocobo.=$itemnum;
	$chocobo.=",";

	if ( $itemnum eq '' ) { $itemnum=1; }
#	$i=3;		#`R{
	$listlength = $#chocobo_prof_list +1 ;
	for ( $i=3; $i<3+$itemnum ; $i++ ){
		for($j=0;$j<$listlength ;$j++){
			$chocobo.=$FORM{"chocobo" . '_' . "$i" . '_' . "$j"};
			$chocobo.="/";
		}
		$chocobo.=",";
	}

	&clear_chocobo_list();
}

sub form_mount {
	&def_mount_list();

	@chocobos = split(/,/,$chocobo);
	$game = $chocobos[1] ;
	@games = split( /\//, $game);

#	$i=1;		# T
#	$j=2;		# }Eg
	$mount = '';
	@templist = @{$mount_list[1]} ;
	$listlength = $#templist +1 ;
	for ( $k=0; $k<$listlength ; $k++ ){
		$mount .= $FORM{ 'mount_' . "$k" } ;
	}

	$games[2] = $mount ;
	$chocobos[1] = join( '/', @games ) ;
	$chocobo = join( ',', @chocobos ) ;

	&clear_mount_list();
}

#  return TRUE for require
return 1;
