# GMR Job Equip management sub routine
#   jobequip.pl
#
#   ver 0.796 (2015/12/25)

# sub def_jobequip_list		WũXg`
# sub clear_jobequip_list	WũXg
# sub table_jobequip		Wuꗗ
# sub menu_jobequip		WuOCj[
# sub form_jobequip		WuFORM
# sub form_jobequip_sub	WuFORḾiTuj


sub def_jobequip_list {

	foreach $fname ( @djobequip_fnamelist ) {
		require "$jobequipdir$fname" ;
	}

	if($language ne "English"){
		# Wu
		@jobequip_list = (
			'Wu',
			\@warriorequip_list,		# 'm',
			\@monkequip_list,		# 'N',
			\@whitemageequip_list,	# 'm',
			\@blackmageequip_list,		# 'm',
			\@redmageequip_list,		# 'Ԗm',
			\@thiefequip_list,		# 'V[t',
			\@paladinequip_list,		# 'iCg',
			\@darkknightequip_list,		# 'ÍRm',
			\@rangerequip_list,		# 'l',
			\@bardequip_list,		# 'Vl',
			\@beastmasterequip_list,	# 'bg',
			\@dragoonequip_list,		# 'Rm',
			\@summonerequip_list,		# 'm',
			\@ninjaequip_list,		# 'E',
			\@samuraiequip_list,		# '',
			\@bluemageequip_list,		# 'm',
			\@corsairequip_list,		# 'RZA',
			\@puppetmasterequip_list,	# '炭m',
			\@dancerequip_list,		# 'xq',
			\@scholarequip_list,		# 'w',
			\@runefencerequip_list,	# 'm',
			\@geomancerequip_list,	# 'm',
		);
	}
	else {
		require('englishlist.pl');
		&def_jobequip_list_e;
	}
	@equip_request = (
		'',	# 0:ǂł
		'~',	# 1:~
		'',	# 2:Ă
		'',	# 3:
	);
}

sub clear_jobequip_list {
	@jobequip_list =();
	@equip_request = ();
}

sub table_jobequip {	# Wuꗗ
	&def_jobequip_list();

	&form_jobequip_sub();

	&th_bgn(5) ;

			# Wu
	$jobequip_kind++;
	@templist = @{$jobequip_list[$jobequip_kind]} ;
	$listlength = $#templist ;
	$itemnum = 0 ;

		for($j=1;$j<=$listlength ;$j++) {
			@templist2 = @{$templist[$j]} ;
			$listlength2[$j] = $#templist2 ;
			$itemnum2 = $listlength2[$j] ;
			$itemnum += $itemnum2 ;
			for($k=1;$k<=$itemnum2 ;$k++) {
				@templist3 = @{$templist2[$k]} ;
				if ( $templist3[0] == 0 ) {
					$str3 .= "<TH>$skilllist[ $templist3[1] ]</TH>\n";
				} else {
					$str3 .= "<TH>$equipslot[ $templist3[1] ]</TH>\n";
				}
				$str4 .= "<TH>$templist3[3]</TH>\n";
				$str5 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist3[2]</TH>\n";
			}
			$str2 .= "<TH colspan=$itemnum2>$templist2[0]</TH>\n";
		}
	$str1 .= "<TH colspan=$itemnum>$templist[0] $jobequip_list[0]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@jobequips  = split(/,/,$jobequip);

		&tr_bgn ;
		
				# Wu
			@templist = split( /\//, $jobequips[$jobequip_kind-1] ) ;
			for ( $j=1; $j<=$listlength ; $j++ ){
				@templist2 = split( //, $templist[$j-1] ) ;
				for ( $k=1; $k<=$listlength2[$j] ; $k++ ){
					print "<TD align=center>$equip_request[ $templist2[ $k-1 ] ]</TD>\n";
			}	}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_jobequip {
	&def_jobequip_list();

	print "<input type=hidden name=all value=jobequip>";
	print "<table border=0><tr><td colspan=3><hr></td></tr>\n";

						# Wu
	@jobequips = split(/,/,$jobequip);
	@templist = @jobequip_list ;
	$listlength = $#templist ;
	for($i=1;$i<=$listlength ;$i++){
		@templist2 = @{$templist[$i]} ;
		$listlength2 = $#templist2 ;
		@templist11 = split( /\//, $jobequips[$i-1] );
		print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0] $templist[0]</th></tr><tr>\n";
		for($j=1;$j<=$listlength2 ;$j++){
			@templist3 = @{$templist2[$j]} ;
			$listlength3 = $#templist3 ;
			@templist12 = split( //, $templist11[$j-1] );
			print "<td valign=top><table border=0><tr><th colspan=4 bgcolor=$indexcolor nowrap>$templist3[0]</th></tr>\n";
			for($k=1;$k<=$listlength3 ;$k++){
				if ( $templist3[$k][0] == 0 ) {
					print "<tr><td bgcolor=$indexcolor nowrap>$skilllist[ $templist3[$k][1] ]</td>";
				} else {
					print "<tr><td bgcolor=$indexcolor nowrap>$equipslot[ $templist3[$k][1] ]</td>";
				}
				print "<td bgcolor=$indexcolor nowrap>$templist3[$k][3]</td>\n";
				print "<td nowrap>$templist3[$k][2]</td>\n";
				$fstr = "jobequip" . '_' . $i . '_' . $j . '_' . $k ;
				print "<td><select name=$fstr>";
				foreach $lv ( 0..$#equip_request ){
					if( $templist12[$k-1] == $lv ){
						print "<option value=$lv selected>$equip_request[$lv]</option>";	}
					else{	print "<option value=$lv>$equip_request[$lv]</option>";		}
				}
				print "</td></tr>\n";
			}
			print "<tr><td colspan=4>&nbsp;</td></tr></table></td>\n";
			if ( $j%3 == 0 ) {	print "</tr><tr>\n";	}
		}
		print "</tr>\n";
	}
	print "<tr><td colspan=3><hr></td></tr></table>\n";

	&clear_jobequip_list();
}

sub form_jobequip {
	$jobequip_kind = $FORM{"jobequip_kind"};

	&def_jobequip_list();

	$jobequip = '';
	@templist = @jobequip_list ;
	$listlength = $#templist ;
	for ( $i=1; $i<=$listlength ; $i++ ) {
		@templist2 = @{$templist[$i]} ;
		$listlength2 = $#templist2 ;
		for ( $j=1; $j<=$listlength2 ; $j++) {
			@templist3 = @{$templist2[$j]} ;
			$listlength3 = $#templist3 ;
			for ( $k=1; $k<=$listlength3 ; $k++) {
				$jobequip.=$FORM{"jobequip" . '_' . "$i" . '_' . "$j" . '_' . "$k" };
			}
			$jobequip.="/";
		}
		$jobequip.=",";
	}

	&clear_jobequip_list();
}

sub form_jobequip_sub {
	$jobequip_kind = $FORM{"jobequip_kind"};
}

#  return TRUE for require
return 1;
