# GMR Diary management sub routine
#   diary.pl
#
#   ver 0.790 (2015/11/05)

# sub write_diary	L
# sub show_diary	L{
# sub res_diary		LԐM
# sub edit_diary	LҏW
# sub icon_diary	LACR
# sub write_images	摜

sub write_diary{

	$diaryfile="$diarydir$no$name.$diaryletter";
	$imgexist=0;

	if(!open(IN,"$datafile")){
		&header;
		&error_message('datafile error2249','data file access failed.');
	}
	@all=<IN>;
	close IN;

	$match="";
	foreach $i(@all){
		($r_no,$r_name,$r_pass,$r_dummy)=split(/\t/,$i);
		if($r_name eq $name && $pass eq $r_pass){
			$match=$i;
			$no=$r_no;
		}
	}
	if($match eq ""){
		&header;
		&error_message('id/pass error','access failed.');
	}

	if ($mode eq "write"){
		if($language ne "English"){
			if($body eq ""){
				&header;
				&error_message('{܂','');
			}
		}
		else {
			if($body eq ""){
				&header;
				&error_message('Message is blank.','');
			}
		}
		
		if (!open(DB,"$diaryfile")) {
			@lines=();
		}
		@lines = <DB>;
		close(DB);
		
		($maxno,$dummy1,$dummy2,$dummy3)=split(/\t/,$lines[0]);
		$maxno++;
		#΍
		$maxno=time();
		
		&write_images;
		
		#L[[hΉAVKL
		if($key_avail){
			&jcode'convert(*body,'euc');
			
			$count=1;
			$mcount=0;
			foreach $i(@keyword){
				($km,$keyno)=split(/\t/,$i);
				&jcode'convert(*km,'euc');
				
				$body =~ s/$km/<a href=keyword\/$keyno\.html target='_blank'>$km<\/a>/g;
				if($& eq $km){
					$mes='';
					&update_keyword;
				}
				
				$count++;
			}
				
			&jcode'convert(*body,'sjis');
		}
		#L[[hΉ܂Œǉ
		
		@lines=reverse(@lines);
		push(@lines,"$maxno\t$today2\t$title\t$body\t$fnt\t\t\n");
		@lines=reverse(@lines);
		
		@out=();
		$count=0;
		foreach $i(@lines){
			if($count<$diarymax){
				push(@out,$i);
				$count++;
			}
		}
		if (!open(OUT,">$diaryfile")) {
			&header;
			&error_message('filesystem error','access failed.');
		}
		print OUT @out;
		close(OUT);
		chmod 0666,$diaryfile;
		
		if(!open(IN,"$datafile")){
			&error_message('datafile error2315','data file access failed.');
		}
		@all=<IN>;
		close IN;
		
		@out=();
		foreach $i(@all){
			&split_GMSdata( $i, 'r_name' ) ; 
			if ( ( $r_name eq $name ) and ( $r_no eq $no )  ) {
				&push_GMSdata( 'out', 'timenow' ) ;
			}
			else {
				push(@out,$i);
			}
		}
		
		if(!open(OUT,">$datafile")){&header; &error_message('datafile error2329','data file access failed.');}
		print OUT @out;
		close OUT;
		
		#RSSpt@C쐬
		$historybase="DWRITE\t$name,$no\t$title\t$rsstime\t$maxno\t$body\t$rh\t$addr\t\n";
		&add_history;
		
		&reload_header;
		if($language ne "English"){
			print "<table width=100%><TR bgcolor=$indexcolor><TD>ݏI</TD></TR></table>";
			print "<a href=$script>MemberList Top</a><BR>";
			print "L݂܂BIɃgbvy[Wɖ߂܂<BR>";
		}
		else {
			print "<table width=100%><TR bgcolor=$indexcolor><TD>Writing finished.</TD></TR></table>";
			print "Writing diray is done. Go back to top page.<BR>";
		}
	
	}
	elsif ($mode eq "oekaki"){
		&header;
		if($language ne "English"){
			print "<table width=100%><TR bgcolor=$indexcolor><TD>L݂܂</TD></TR></table>";
		}
		else {
			print "<table width=100%><TR bgcolor=$indexcolor><TD>Diary Writing Mode</TD></TR></table>";
		}
		
		print "<a href='$script'>Go Top</a><BR>";
		
		print <<"EOM";
<APPLET
CODEBASE=.
ARCHIVE="BBSPainter.jar"
CODE="Main.class"
WIDTH=700
HEIGHT=450
>
<PARAM NAME="comment" VALUE="body=Rg=!">
<PARAM NAME="image" VALUE="upfile1">

<PARAM NAME="action" VALUE="$script">
<PARAM NAME="enctype" VALUE="multipart/form-data">
<PARAM NAME="form1" VALUE="title=^Cg=!=$today3">
<PARAM NAME="param1" VALUE="name=$name">
<PARAM NAME="param2" VALUE="pass=$pass">
<PARAM NAME="param3" VALUE="function=$button[1]">
<PARAM NAME="param4" VALUE="mode=write">
<PARAM NAME="param5" VALUE="submit=M">
<param name="size" value="320,240">
<param name="return.URL" value="./$script">
</APPLET>
<div align=right>BBS Painter by <a href="http://www.geocities.co.jp/SiliconValley-SanJose/8609/" target="_blank">ΉȊwI</a></div>
EOM
	}
	else {
		&header;
		if($language ne "English"){
			print "<table width=100%><TR bgcolor=$indexcolor><TD>L݂܂</TD></TR></table>";
		}
		else {
			print "<table width=100%><TR bgcolor=$indexcolor><TD>Diary Writing Mode</TD></TR></table>";
		}
		
		print "<a href='$script'>Go Top</a><BR>";
		
		
		print "<form method=post enctype='multipart/form-data'  action=$script><input type=hidden name=name value=$name><input type=hidden name=no value=$no><input type=hidden name=pass value=$pass><input type=hidden name=function value=$button[1]><input type=hidden name=mode value=write>\ntitle<BR><input type=text name=title size=80 value='$today3'><BR>body<BR><textarea name=body cols=80 rows=10></textarea><BR>";
		if($language ne "English"){
			if($imgallow == 1){
				for ($i=1; $i <= $imgmax; $i++){
					print "摜$i<input type='file' name='upfile$i'><BR>";
				}
			}
		}
		else {
			if($imgallow == 1){
				for ($i=1; $i <= $imgmax; $i++){
					print "Image$i<input type='file' name='upfile$i'><BR>";
				}
			}
		}
		
		print"<input type=submit value=write></form>";
	}	
}

sub show_diary {

	$diaryfile="$diarydir$no$name.$diaryletter";
	if($diarybg ne ""){
		$dbg=" bgcolor=$diarybg";
	}
	
	if (!open(DB,"$diaryfile")) { 
		if($language ne "English"){
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓L͂܂B</TH></TR></table>";
		}
		else {
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name 's diray doesn't exist.</TH></TR></table>";
		}
		
	}
	else {
		@lines = <DB>;
		close(DB);
		if($language ne "English"){
			print "<HR><center><a href='$script?name=$name&function=prof&page=all&no=$no'>Diary Index</a><HR></center><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓LB($showmax\\j</TH></TR></table><BR>";
		}
		else {
			print "<HR><center><a href='$script?name=$name&function=prof&page=all&no=$no'>Diary Index</a><HR></center><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name 's diary($showmax articlesj</TH></TR></table><BR>";
		}
		
		if($page ne "all"){
			print "<table cellspacing=0 cellpading=0 width=100% class=tbl>";
			
			$min=($page-1)*$showmax-1;
			$max=$page*$showmax;
			
			$count=0;
			foreach $i (@lines){
				($rno,$today2,$title,$body,$imgexist,$res)=split(/\t/,$i);
				if( ($diaryno eq "" && $count>$min && $count<$max )|| ($diaryno ne "" && $diaryno == $rno) ){
					if(($name eq $c_name) && ($pass eq $c_pass)){
						if($language ne "English"){
								print "<TR bgcolor=$indexcolor><TD align=left><B> $title <a href='$script?name=$name&function=prof&diaryno=$rno&no=$no'>(open)</a>@<a href='$script?name=$name&pass=$pass&function=editdiary&diaryno=$rno&no=$no'>[CE폜]</a></B></TD><TD align=right>$today2($rno)</TD></TR>";
						}
						else {
								print "<TR bgcolor=$indexcolor><TD align=left><B> $title <a href='$script?name=$name&function=prof&diaryno=$rno&no=$no'>(open)</a> <a href='$script?name=$name&pass=$pass&function=editdiary&diaryno=$rno&no=$no'>[edit/delete]</a></B></TD><TD align=right>$today2($rno)</TD></TR>";
						}
						
					}
					else {
							print "<TR bgcolor=$indexcolor><TD align=left><B> $title<a href='$script?name=$name&function=prof&diaryno=$rno&no=$no'>(open)</a></B></TD><TD align=right>$today2($rno)</TD></TR>";
					}
					
					 $body =~ s/(https?|ftp|gopher|telnet|whois|news)\:([\w|\:\!\#\$\%\=\&\-\^\`\\\|\@\~\[\{\]\}\;\+\*\,\.\?\/]+)/<a href=\"$1\:$2\" target=\"_blank\">$1\:$2<\/a>/ig;
					
					print "<form method=post enctype='multipart/form-data'  action=$script><TR><TD$dbg colspan=2>";
					if($imgexist ne ""){
						print "<table><TR valign=top><TD>";
						@imgfiles = split(/,/,$imgexist);
						foreach $imgfile(@imgfiles){
							($type,$h,$w) = &image_getsize("$imgdir$imgfile");
							if($h>$w){
								if($h>200){	$w=int($w/$h*200);$h=200; }
							}
							else {
								if($w>200){	$h=int($h/$w*200);$w=200; }
							}
							
							print "<a href='$putdir$imgfile' target='_blank'><img src='$putdir$imgfile' height='$h' width='$w'  border=0 alt='NbNŊg'></a><BR>";
						}
						print "</TD><TD>$body</TD></TR></table><HR>";
						
					}
					else {
						print "$body<HR>";
					}
					if($res ne ""){
							print "<font color='$rescolor'>$res</font><HR>";
					}
					
					if($diaryres){
						if($language ne "English"){
							print "O<input type=text size=10 name=name value='$c_name'><textarea name=body cols=80 rows=2></textarea><input type=hidden name=function value=resdiary><input type=hidden name=name2 value='$name'><input type=hidden name=no2 value='$no'><input type=hidden name=diaryno value=$rno><input type=submit value='X'>";
						}
						else {
							print "Name<input type=text size=10 name=name value='$c_name'><textarea name=body cols=80 rows=2></textarea><input type=hidden name=function value=resdiary><input type=hidden name=name2 value='$name'><input type=hidden name=no2 value='$no'><input type=hidden name=diaryno value=$rno><input type=submit value='Res'>";
						}
						
					}
					print "</TD></TR></form>";
				}
				$count++;
			}
			if($diaryno eq ""){
				if($page>1){
					$flag++;
					$bpage=$page-1;
					if($language ne "English"){
						$before="<a href='$script?function=prof&name=$name&page=$bpage&no=$no'>Õy[W</a>";
					}
					else {
						$before="<a href='$script?function=prof&name=$name&page=$bpage&no=$no'>former page</a>";
					}
				}
				if($count>$max){
					$flag++;
					$page++;
					if($language ne "English"){
						$after="<a href='$script?function=prof&name=$name&page=$page&no=$no'>̃y[W</a>";
					}
					else {
						$after="<a href='$script?function=prof&name=$name&page=$page&no=$no'>next page</a>";
					}
				}
				if($flag){
					print "<TR bgcolor=#CCCCFF><TD colspan=2> </TD></TR>";
					print "<TR><TD colspan=2>$before ";
					print "$after</TD></TR>";
				}
			}
			
			print "</table>";
		} #page=all
		else {
			
			@all="";
			foreach $i (@lines){
				($rno,$today2,$title,$body,$imgexist,$res)=split(/\t/,$i);
				if($today2 =~ /^[0-9][0-9]\/[0-9][0-9]\s(.*)/){
					$today2="  $today2";
				}
				push(@all,"$today2\t$rno\t$title\t$body\t$imgexist\t$res\n");
			}
			@lines=reverse(sort(@all));
			foreach $i (@lines){
				($rno,$today2,$title,$body,$imgexist,$res)=split(/\t/,$i);
				if($rno ne ""){
					print "<a href='$script?name=$name&function=prof&diaryno=$today2&no=$no'>$title($rno)</a><BR>\n";
				}
			}
		}
	}
}

sub res_diary{
	
	if($language ne "English"){
		if($body eq ""){
			&header;
			&error_message('{܂','');
		}
		if($name eq ""){
			&header;
			&error_message('O܂','');
		}
		if ($body !~ /[\x81-\x9A]/ && $denyeng){
			&header;
			&error_message('At@xbĝ݂݂̏͋֎~Ă܂B','');
		}
	}
	else {
		if($body eq ""){
			&header;
			&error_message('no text','');
		}
		if($name eq ""){
			&header;
			&error_message('no name','');
		}
	}
	&word_ban;
	
	if( $body =~ /<BR>/) {
		$body="<BR>$body<BR>";
	}

	$diaryfile="$diarydir$no2$name2.$diaryletter";

	&dirlock;

	if (!open(DB,"$diaryfile")) { 
		&header;
		if($language ne "English"){
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓L͂܂B</TH></TR></table>";
		}
		else {
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name's diary is not exist.</TH></TR></table>";
		}
	}
	else {
		@lines = <DB>;
		close(DB);
		foreach $i(@lines){
			($r_no,$r_today,$r_title,$r_body,$r_img,$r_res)=split(/\t/,$i);
			if($diaryno !=$r_no){
				push(@out,$i);
			}
			else {
				$r_res =~ s/\n//g;
				$r_res.="$name &gt; $body ($today2)<BR>";
				$r_body =~ s/\n//g; #o[W΍

				if($sage == 0){
					push(@out,"$r_no\t$r_today\t$r_title\t$r_body\t$r_img\t$r_res\t\n");
				}
				else {
					$ageline="$r_no\t$r_today\t$r_title\t$r_body\t$r_img\t$r_res\t\n";
				}
			}
		}
		if($sage !=0){
			unshift(@out,$ageline);
		}
		
		if (!open(OUT,">$diaryfile")) {
			&header;
			&error_message('filesystem error','access failed.');
		}
		print OUT @out;
		close(OUT);
		
		#RSSpt@C쐬
		$rsstime="20$year-$mon-$mday"."T$hour:$min:00+09:00";
		$historybase="RESDIA\t$name $name2,$no2\t$timenow\t$rsstime\t$diaryno\t$body\t$rh\t$addr\t\n";
		&add_history;
		
		
		if(!open(IN,"$datafile")){&error_message('datafile error2480','data file access failed.');}
		@all=<IN>;
		close IN;
		
		@out=();
		foreach $i(@all){
			&split_GMSdata( $i, 'r_name' ) ; 
			if ( ( $r_name eq $name2 ) and ( $r_no eq $no2 )  ) {
				$no = $no2 ;
				&push_GMSdata( 'out', 'timenow' ) ;
			}
			else {
				push(@out,$i);
			}
		}
		
		if(!open(OUT,">$datafile")){
			&header;
			&error_message('datafile error2494','data file access failed.');
		}
		print OUT @out;
		close OUT;
		
		rmdir($lockdir);
		
		&reload_header2;
		if($language ne "English"){
			print "<table width=100%><TR bgcolor=$indexcolor><TD>ݏI</TD></TR></table>";
			print "<a href=$script>MemberList Top</a><BR>";
			print "Iɖ߂܂<BR>";
		}
		else {
			print "<table width=100%><TR bgcolor=$indexcolor><TD>Writing finished.</TD></TR></table>";
			print "Automatically back former page.<BR>";
		}
		
	}

}

sub edit_diary{

	$diaryfile="$diarydir$no$name.$diaryletter";

	if(!open(IN,"$datafile")){
		&header;
		&error_message('datafile error2511','data file access failed.');
	}
	@all=<IN>;
	close IN;

	$match="";
	foreach $i(@all){
		($r_no,$r_name,$r_pass,$r_dummy)=split(/\t/,$i);
		if($r_name eq $name && $pass eq $r_pass){
			$match=$i;
			$no = $r_no ;
		}
	}
	if($match eq ""){
		&header;
		&error_message('id/pass error','access failed.');
	}
	
	if ($mode eq "del"){
	
		&dirlock;
	
		if (!open(DB,"$diaryfile")) { 
			&header;
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓L͂܂B</TH></TR></table>";
			rmdir($lockdir);
		}
		else {
			@lines = <DB>;
			close(DB);
			foreach $i(@lines){
				($r_no,$r_today,$r_title,$r_body,$r_imgexist,$r_res)=split(/\t/,$i);
				if($diaryno !=$r_no){
					push(@out,$i);
				}
				else {
					unlink("$imgdir$r_imgexist");
				}
			}
			
			if (!open(OUT,">$diaryfile")) {
				&header;
				&error_message('filesystem error','access failed.');
			}
			print OUT @out;
			close(OUT);
			
			if(!open(IN,"$datafile")){
				&error_message('datafile error2549','data file access failed.');
			}
			@all=<IN>;
			close IN;
			
			@out=();
			foreach $i(@all){
				&split_GMSdata( $i, 'r_name' ) ; 
				if ( ( $r_name eq $name ) and ( $r_no eq $no )  ) {
					&push_GMSdata( 'out', 'timenow' ) ;
				}
				else {
					push(@out,$i);
				}
			}
			
				if(!open(OUT,">$datafile")){
					&header;
					&error_message('datafile error2563','data file access failed.');
				}
				print OUT @out;
				close OUT;
				
				rmdir($lockdir);
				
				#RSSpt@C쐬
				$historybase="DERASE\t$name,$no\t$title\t$rsstime\t$diaryno\t$body\t$rh\t$addr\t\n";
				&add_history;
				
				&reload_header;
				print "<table width=100%><TR bgcolor=$indexcolor><TD>폜I</TD></TR></table>";
				print "<a href=$script>MemberList Top</a><BR>";
				print "LNo.$diaryno폜܂BIɃgbvy[Wɖ߂܂<BR>";
			
				if(-z $diaryfile){
					print "LSč폜܂B<BR>";
					unlink($diaryfile);
				}
		}
	
	}
	elsif ($mode eq "modify"){
	
		if (!open(DB,"$diaryfile")) { 
			&header;
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓L͂܂B</TH></TR></table>";
			rmdir($lockdir);
		}
		else {
			@lines = <DB>;
			close(DB);

		$imgexist=0;
		if ($in{'upfile'} ne ""){
			$in{'upfilename'} = $1 if $in{'upfilename'} =~ /[\\|\/]?([0-9a-zA-Z_\.]+)$/;
			if( length($in{'upfile'}) > $maxsize){
				&header;
				&error_message("t@CTCY傫܂B","");
			}
		
			($filename,$fileexst) = ($1,$2) if $in{'upfilename'} =~ /(.*)\.(\w+)$/;
			$fileexst=lc($fileexst);
			$a1=0;
			foreach(@permitup){
				if ($_ eq $fileexst){$a1=1;last;}
			}
			if(!($a1)) {
				&header;
				&error_message("gq $fileexst ̓AbvĂ܂($in{'upct'})B","");
			}
		
			$newname = "$name$diaryno.$fileexst";
			if (-e "$imgdir$newname") {
				$fileno = 2;
				while (-e "$imgdir$name${diaryno}_$fileno.$fileexst"){
					$fileno++;
				}
				$newname = "$name${diaryno}_$fileno.$fileexst";
			}
		
			open(IMGOUT,">$imgdir$newname");
			binmode(IMGOUT);
			print IMGOUT $in{'upfile'};
			close(IMGOUT);
			$imgexist=1;
		}
		
		#L[[hΉiCj
		if($key_avail){
			&jcode'convert(*body,'euc');
			
			$count=1;
			$mcount=0;
			foreach $i(@keyword){
				($km,$keyno)=split(/\t/,$i);
				&jcode'convert(*km,'euc');
				
				$body =~ s/$km/<a href=keyword\/$keyno\.html target='_blank'>$km<\/a>/g;
				if($& eq $km){
					$maxno=$diaryno;$mes='(update)';
					&update_keyword;
				}
				
				$count++;
			}
				
			&jcode'convert(*body,'sjis');
		}
		#L[[hΉi܂Łj
		
		#XC$body2̌㕔<BR>Ȃꍇ͒ǋL
		if($body2 ne "" && !($body2 =~ /<BR>$/)){
			$body2 ="$body2<BR>";
		}
		
		
		foreach $i(@lines){
			($r_no,$r_today,$r_title,$r_body,$r_imgexist,$r_res)=split(/\t/,$i);
			if($diaryno==$r_no){
				$body =~ s/\n//g;
				$body2 =~ s/\n//g;
				$deleteimg = $FORM{'deleteimg'};
				@imgexists_n = ();
				@imgexists = split(/,/,$r_imgexist);
				foreach $imgfile (@imgexists) {
					if ($deleteimg eq $imgfile && $comment eq "delete") {
						unlink("$imgdir$deleteimg");
					}
					else {
						push(@imgexists_n, $imgfile);
					}
				}
				if ($imgexist) {
					push(@imgexists_n, $newname);
				}
				$r_imgexist = join(",", @imgexists_n);
				push(@out,"$diaryno\t$today2\t$title\t$body\t$r_imgexist\t$body2\t\n");
			}
			else {
				push(@out,$i);
			}
		}
		
		if (!open(OUT,">$diaryfile")) {
			&header;
			&error_message('filesystem error','access failed.');
		}
		print OUT @out;
		close(OUT);
		rmdir($lockdir);
		
		#RSSpt@C쐬
		$historybase="DMODIF\t$name,$no\t$title\t$rsstime\t$diaryno\t$body\t$rh\t$addr\t\n";
		&add_history;
		
		&reload_header;
		print "<table width=100%><TR bgcolor=$indexcolor><TD>CI</TD></TR></table>";
		print "<a href=$script>MemberList Top</a><BR>";
		print "LC܂BIɃgbvy[Wɖ߂܂<BR>";
		}
	}
	else {
		&header;
		if (!open(DB,"$diaryfile")) { 
			print "<HR><table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>$name ̓L͂܂B</TH></TR></table>";
		}
		else {
			@lines = <DB>;
			close(DB);
			foreach $i (@lines){
				($r_no,$r_today,$r_title,$r_body,$r_imgexist,$r_res)=split(/\t/,$i);
				if($diaryno==$r_no){	$hit=$i;}
			}
			if($hit eq ""){
				&header;
				&error_message('no such number','access failed.');
			}
			($r_no,$r_today,$r_title,$r_body,$r_imgexist,$r_res)=split(/\t/,$hit);
			print "<table width=100%><TR bgcolor=$indexcolor><TD>L̏CE폜s܂</TD></TR></table>";
			
			print "<a href='$script'>Go Top</a><BR>";
		
			$r_body =~ s/<BR>/\n/g;
			$r_body =~ s/&lt;/</g;
			$r_body =~ s/&gt;/>/g;
		
			$r_body =~ s/<a[^>]*>//g;
			$r_body =~ s/<\/a>//g;
					
			print "<form method=post enctype='multipart/form-data' action=$script><input type=hidden name=name value=$name><input type=hidden name=no value=$no><input type=hidden name=pass value=$pass><input type=hidden name=function value=editdiary>\n";
			print "LNo. $diaryno<BR>\n";
			print "title<BR>\n";
			print "<input type=text name=title size=80 value='$r_title'><BR>\n";
			print "body<BR>\n";
			print "<textarea name=body cols=80 rows=10>$r_body</textarea><BR>\n";
			print "res<BR>\n";
			
			$r_res =~ s/<BR>/\n/g;
			$r_res =~ s/&lt;/</g;
			$r_res =~ s/&gt;/>/g;
			$r_res =~ s/<a[^>]*>//g;
			$r_res =~ s/<\/a>//g;
			
			print "<textarea name=body2 cols=80 rows=10>$r_res</textarea><BR>";
			foreach $imgexist (split(/,/,$r_imgexist)) {
				print "<a href='$putdir$imgexist' target='_blank'><img src='$putdir$imgexist' height=150 width=200 border=0 alt='NbNŊg'></a><input type=radio name=deleteimg value=$imgexist>I<BR>";
			}
			if($r_imgexist ne ""){
				print "<input type=checkbox name=comment value=delete>I摜̏<BR>";
			}
			print "摜ǉ<input type='file' name='upfile'><br><br>";
			print "<select name=mode><option value=del>폜</option><option value=modify selected>C</option></select>";
			print "<input type=submit value=submit>";
			print "<input type=hidden name=diaryno value=$diaryno>";
			print "</form>";
			
		}
	}
}

sub icon_diary{
	$diaryfile="$diarydir$no$name.$diaryletter";

	$diary="";
	if(-e "$diaryfile"){
		$diary="<a href='$script?function=prof&name=$name&no=$no'><img src='$diarygif' border=0>";
		if((-M $diaryfile)<1){
			$diary.="<img src='$upgif' border=0>";
		}
		$diary.="</a>";
	}
}

sub write_images{
	$fnt="";
	$imgno="1";
	foreach $upfilename (@upfiles){

		$shortupfilename = $1 if $upfilename =~ /[\\|\/]?([0-9a-zA-Z_\.]+)$/;
		if($language ne "English"){
			if( length($upfile{$upfilename}) > $maxsize){
				&error_message("t@CTCY傫܂B","");
			}
		}
		else {
			if( length($upfile{$upfilename}) > $maxsize){
				&error_message("Too mach file size.","");
			}
		}

		($filename,$fileexst) = ($1,$2) if $shortupfilename =~ /(.*)\.(\w+)$/;
		$fileexst=lc($fileexst);
		$a1=0;
		foreach(@permitup){
			if ($_ eq $fileexst){
				$a1=1;last;
			}
		}
		if($language ne "English"){
			if(!($a1)) {
				&error_message("gq $fileexst ̓AbvĂ܂($in{'upct'})B","");
			}
		}
		else {
			if(!($a1)) {
				&error_message("extension $fileexst is not allowed to upload($in{'upct'}).","");
			}
		}
		
		open(IMGOUT,">$imgdir$name$maxno\_$imgno.$fileexst");
		binmode(IMGOUT);
		print IMGOUT $upfile{$upfilename};
		close(IMGOUT);
		push(@fnt,"$name$maxno\_$imgno.$fileexst");
		$imgexist=1;
		$imgno++;
	}
	$fnt=join(",", @fnt);
}

#  return TRUE for require
return 1;
