# GMR Fish management sub routine
#   fish.pl
#
#   ver 0.806 (2016/11/09)

# sub def_fish_list	މʃXg`
# sub clear_fish_list	މʊ֘ÃXg
# sub table_fishresult	މ
# sub table_fishkind	މʁiށj
# sub menu_fish	މʊ֘AOCj[
# sub form_fish	މʊ֘AFORM


sub def_fish_list {

	if($language ne "English"){
		# މ
		@fish_list =(
			[	'މ',
				[
					'ނ葍',
					'hit',
					'̒xXg',
					'dʃxXg',
				],
			],
			[	'މʁiށj',
				[
					'rrL[A[`',
					'v}',
					't@mGj[g',
					'RogWF[',
					'fjYAiX',
					'UKj',
					'EuJUKj',
					'rrL[`R{',
					'oXgAT[fB',
					'nV[',
					'Z[T[fB',
					'xui',
					'oXgAXC[p[',
					'JUiVF',
					'AWF',
					'O[fB',
					'Jbp[tbO',
					'Z[tbO',
					'CG[O[u',
					'}bfBTCh',
					'CX^bg',
					'CrWTp',
					'LX',
					'',
					'Xui',
					'V@T[',
					'RINgpX',
					'VAiCt',
					'zCguX^[',
					'O[fB',
					'[VACh',
					'K[i[h',
					'gJ[hJ[v',
					'lriCg',
					'uCtBbV',
					'ss',
					'^CK[Rbh',
					'GVtbO',
					'J_[otbO',
					'{[tBbV',
					'IIi}Y',
					'oE',
					'o[XtBbV',
					'OtBbV',
					'MKgINgpX',
					'_[NoX',
					'NX^oX',
					'I[KC[',
					'Z',
					'qJ}X',
					'AoE',
					'F[_X',
					'AoT[',
					'mXg[wO',
					'R[o^tC',
					'OO[gD[i',
					'P_',
					'uX[`',
					'UtOoX',
					'bhV[}',
					'S[huX^[',
					'CX^RY',
					'ubNC[',
					'oE',
					'R[J}',
					'J}[',
					'ACXtBbV',
					'OVAtBbV',
					'ThtBbV',
					'ݍb',
					'O[tBbV',
					'nCCUKj',
					'PIP',
					'',
					'bhes',
					'VL',
					'{S',
					'CXeBfBG',
					'Jvo@',
					'ubNv[',
					'u[e[',
					'EXN',
					'HChLM',
					'S[hJ[v',
					'UUoE',
					'}',
					'y]GA',
					'goCg',
					'eBTmyeBX',
					'GVj[g',
					'xbtF}[',
					'N`oE',
					'gybgVF',
					'NAX',
					'LOp[`',
					'}VAXp[`',
					'm[ufB',
					'x^',
					'rr',
					'O',
					'[uC[',
					'u[htBbV',
					'CmL',
					'h[t',
					'AvJhL',
					'^uiWASr[',
					'JoE',
					'Vo[V[N',
					'ot@CNbg',
					'J[NH',
					'IIi}Y',
					'KrAtBbV',
					'Oዛ',
					'sN',
					'bhX|bg',
					'K[',
					'oXgAu[',
					'WoE',
					'ubNS[Xg',
					'hhK[',
					'OiCg',
					'At|bg',
					'',
					'MKgXLbh',
					'ioE',
					'Kh',
					'ubN\[',
					'fB',
					'^CK[V[N',
					'veS[gDX',
					'^L^',
					'V[]r',
					'eB^jNeBX',
					'JJoE',
					'gDioE',
					'A[}[hsXPX',
					'IICgE',
					'NRfBX',
					'A',
					'^C^jbN\[',
					'gCR[',
					'P[ur[',
					'lI^L^',
					'',
					'QgbNX',
					'OO[TEX',
					'N',
					'V',
					'RNE',
					'\EE',
					'ZLE',
					'JPX',
					'Ñui',
					'nNE',
					'gD\eEeBX',
					'REE',
					'EOEmcJC',
					'AoCA',
					'SCAXz[',
					'}c',
					'',
					'VEmcJC',
					'i~j~',
				],
			],
		);

	}
	else {
		require('englishlist.pl');
		&def_fish_list_e;
	}
}

sub clear_fish_list {
	@fish_list =();
}

sub table_fishresult {		# މ
	&def_fish_list();

	&th_bgn(2) ;
 
	@templist = @{$fish_list[0]} ;
	$listlength = $#{$templist[1]} +1 ;

	$str1 .= "<TH colspan=$listlength>$templist[0]</TH>\n";
	for($i=0 ; $i<$listlength ;$i++) {
		$str2 .= "<TH>$templist[1][$i]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@fishs = split(/,/,$fish);
		@templist = split( /\//, $fishs[0] );

		&tr_bgn ;

		for ( $i=0; $i<$listlength ; $i++ ){
			&td( $templist[$i] ) ;
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub table_fishkind {		# މʁiށj

	&def_fish_list();

	&th_bgn(2) ;
 
	@templist = @{$fish_list[1]} ;
	$listlength = $#{$templist[1]} +1 ;

	$str1 .= "<TH colspan=$listlength>$templist[0]</TH>\n";
	for($i=0 ; $i<$listlength ;$i++) {
		$str2 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist[1][$i]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@fishs = split(/,/,$fish);
		@templist = split( //, $fishs[1] );

		&tr_bgn ;

		for ( $i=0; $i<$listlength ; $i++ ){
			&td( $maru[ $templist[$i] ] ) ;
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_fish {

	@fishs = split(/,/,$fish);
	&def_fish_list();
	@templist2 = @fish_list ;

	print "<input type=hidden name=all value=fish>";
	print "<table border=0><tr><td colspan=3><hr></td></tr>\n";

	$i = 0 ;						# މ
	@templist3 = split( /\//, $fishs[$i] );
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[$i][0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
	for ( $j=0 ; $j<= $#{$templist2[$i][1]} ; $j++ ) {
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$i][1][$j]</td>\n";
		$fstr = "fish" . '_' . $i . '_' . $j ;
		print "<td><input type=text size=6 name=$fstr value=$templist3[$j]></td></tr>\n";
	}
	print "</table></td></tr>\n";
	print "<tr><td colspan=3><hr></td></tr>\n";

	$i = 1 ;						# މʁiށj
	@templist3 = split( //, $fishs[$i] );
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[$i][0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
	for ( $j=0 ; $j<= $#{$templist2[$i][1]} ; $j++ ) {
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$i][1][$j]</td>\n";
		$fstr = "fish" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		if ( $templist3[ $j ] )	{ print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
		else			{ print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
		print "</td></tr>\n";

		if ( $j%55 == 54 ) {	print "</table></td><td valign=top><table border=0>\n";	} 
	}
	print "</table></td></tr>\n";

	print "<tr><td colspan=3><hr></td></tr>\n";
	&clear_fish_list();

	print "</table>\n";

}

sub form_fish {
	&def_fish_list();
	$fish = '';

	$i = 0 ;						# މ
	for ( $j=0; $j<=$#{$fish_list[$i][1]} ; $j++) {
		$fish.=$FORM{"fish" . '_' . $i . '_' . $j };
		$fish.="/";
	}
	$fish.=",";

	$i = 1 ;						# މʁiށj
	for ( $j=0; $j<=$#{$fish_list[$i][1]} ; $j++) {
		$fish.=$FORM{"fish" . '_' . $i . '_' . $j };
	}
	$fish.=",";

	&clear_fish_list();
}

#  return TRUE for require
return 1;
