# GMR Mog Garden management sub routine
#   garden.pl
#
#   ver 0.796 (2015/12/16)

# sub def_garden_list@OK[f֌W̃Xg`
# sub clear_garden_list@OK[f֌W̃Xg
# sub table_garden	OK[f֌Wꗗ
# sub table_mementos	X^[̎voꗗ
# sub menu_garden	OK[f֌WOCj[
# sub form_garden	OK[f֌WFORM


sub def_garden_list {
	if($language ne "English"){
		# [OH֘A
		@mooglelist =(
			"OK[f",
			"OnEX",
			"X^[̎vo",
		);
		
		# OK[f֘A
		@gardenlist =(
			"",
			"ؗ",
			"z",
			"r",
			"C",
			"",
			"``̉",
		);
		
		# N
		@g_ranklist =(
			"",
			"1",
			"2",
			"3",
			"4",
			"5",
			"6",
			"7",
		);
		
		# X^[烉N
		@m_ranklist =(
			'N1',
			'N2',
			'N3',
			'N4',
			'N5',
			'N6',
			'N7',
		);
		
		# X^[̎vo
		# ``̉
		@mementoslist =(
			[
				"qr",
				"r",
				"JN[",
				"Yr",
				"TbvO",
				"Ηtgg",
				"gtgg",
				"qETM",
				"ETM",
				"ETM",
				"qgJQ",
				"gJQ",
				"DgJQ",
			],
			[
				"qRJgX",
				"RJgX",
				"WY",
				"qvg",
				"vg",
				"ԃvg",
				"qGtg",
				"Gtg",
				"^`bN",
			],
			[
				"q_",
				"_",
				"_",
				"cV[N",
				"V[N",
				"V[N",
				"cEOiCg",
				"EOiCg",
				"}XJu",
				"cNu",
				"Nu",
				"|[^[Nu",
				"cRu",
				"Ru",
				"gDJu",
			],
			[
				"qN@[",
				"N@[",
				"NX",
				"qobt@[",
				"obt@[",
				"~jXC",
				"XC",
				"Nbg",
				"wNgACY",
			],
			[
				'quK[h',
				'uK[h',
				'Ar\uK[h',
				'qA_}^X',
				'A_}^X',
				'A_}^X',
				'A_}^X',
				'tF}^X',
				'tF}^X',
			],
			[
				'NX^[',
				'{',
				'W',
				'Xm[',
				'xr[X',
				'xq[X',
				'LOxq[X',
				'GXX',
				'XR[X',
			],
			[
				'`re_[',
				'T{e_[',
				'W{e_[',
				'hSps[',
				'Co[',
				'Co[',
				'΃Co[',
				'[̃EB',
				'̃EB',
				'ܔM̃EB',
			],
		);
		
		# [Ỏ
		@houselist =(
			"[Ỏ",
		);

	}
	else {
		require('englishlist.pl');
		&def_garden_list_e;
	}

	@gardenlistname = (
		'garden',		# 0
		'chacharoon',		# 1
		'house',		# 2
		'mementos',		# 3
	);

}

sub clear_garden_list {
	@mooglelist =();
	@gardenlist =();
	@g_ranklist =();
	@m_ranklist =();
	@mementoslist =();
	@houselist =();
	@gardenlistname = ();
}

sub table_garden {
	&def_garden_list();

	&th_bgn(2) ;

	$i=0;			# OK[f
	@templist = @gardenlist;
	$itemnum = $#templist+1;
	$listlength[$i] = $#templist;
	$str1 .= "<TH colspan=$itemnum>$mooglelist[$i]</TH>\n";
	for( $k=0; $k<$itemnum; $k++ ){
		$str2 .= "<TH>$templist[$k]</TH>\n";
	}
	$str2 .= "\n";

	$i=1;			# OnEX
	@templist = @houselist;
	$itemnum = $#templist+1;
	$listlength[$i] = $#templist;
	$str1 .= "<TH colspan=$itemnum>$mooglelist[$i]</TH>\n";
	for( $k=0; $k<$itemnum; $k++ ){
		$str2 .= "<TH>$templist[$k]</TH>\n";
	}
	$str2 .= "\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@gardens  = split(/,/,$garden);
		@g_ranks        = split(/\//,$gardens[0]);
		@chacharoons = split(/\//,$gardens[1]);
		@house         = split(/\//,$gardens[2]);
		@mementos   = split(/\//,$gardens[3]);

		&tr_bgn ;
		
		$i=0;			# OK[f
		for ( $k=0; $k<$listlength[$i] ; $k++ ){
			print "<TD align=center>";
			if ( $#g_ranklist<=$g_ranks[ $k ] ) {	print "<font color=blue>" ;	}
			print "$g_ranklist[ $g_ranks[ $k ] ]</TD>\n";
		}

#		$k=$listlength[$i];	# ``̉
		if ( $chacharoons[0] eq '' ) {
			print "<TD align=center></TD>\n";
		} else {
			print "<TD align=center>$mementoslist[$chacharoons[0]][$chacharoons[1]]</TD>\n";
		}

		$i=1;			# OnEX
		for ( $k=0; $k<=$listlength[$i] ; $k++ ){
			print "<TD align=center>$house[ $k ]</TD>\n";
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub table_mementos {
	&def_garden_list();

	&th_bgn(3) ;

	$i=2;			# X^[̎vo
	$itemnum2=0;
	$listlength[$i] = $#m_ranklist+1 ;
	for($j=0;$j<$listlength[$i];$j++) {
		@templist = @{$mementoslist[$j]};
		$itemnum = $#templist+1;
		$itemnum2 += $itemnum;
		$listlength2[$i][$j] = $itemnum;
		$str2 .= "<TH colspan=$itemnum>$m_ranklist[$j]</TH>\n";
		for( $k=0; $k<$itemnum; $k++ ){
			$str3 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist[$k]</TH>\n";
		}
		$str3 .= "\n";
	}
	$str1 .= "<TH colspan=$itemnum2>$mooglelist[$i]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@gardens  = split(/,/,$garden);
		@g_ranks        = split(/\//,$gardens[0]);
		@chacharoons = split(/\//,$gardens[1]);
		@house         = split(/\//,$gardens[2]);
		@mementos   = split(/\//,$gardens[3]);

		&tr_bgn ;
		
		$i=2;			# X^[̎vo
		for ( $j=0; $j<$listlength[$i] ; $j++ ){
			@templist = split( //, $mementos[$j] );
			for ( $k=0; $k<$listlength2[$i] [$j]; $k++ ){
				print "<TD align=center>$maru[ $templist[ $k ] ]</TD>\n";
			}
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_garden {
	&def_garden_list();

	@gardens  = split(/,/,$garden);
	@g_ranks        = split(/\//,$gardens[0]);
	@chacharoons = split(/\//,$gardens[1]);
	@house         = split(/\//,$gardens[2]);
	@mementos   = split(/\//,$gardens[3]);

	print "<input type=hidden name=all value=garden>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";
	print "<table border=0>\n";

	$i=0;			# OK[f
	@templist = @gardenlist;
	$itemnum = $#templist;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$mooglelist[$i]</th></tr>\n";
	print "<tr><td bgcolor=$indexcolor rowspan=$itemnum nowrap>$mooglelist[$i]</td>\n";

	for( $j=0; $j<$itemnum; $j++ ){
		if( $j != 0 ) {print "<tr>";}
		$fstr = $gardenlistname[$i] . '_' . $j ;
		print "<td nowrap>$templist[$j]</td><td><select name=$fstr>";
		for( $k=0; $k<=$#g_ranklist;$k++){
			if ( $g_ranks[$j] eq $k ) {
				print "<option selected value=$k>";
			} else {
				print "<option value=$k>";
			}
			print "$g_ranklist[$k]</option>\n";
		}
		print "</select></td></tr>\n";
	}	
	print "<tr><td colspan=3>&nbsp;</td></tr>\n";

				# 
	print "</table>\n</td><td valign=top><table border=0>\n";
	print "<tr><th colspan=2 bgcolor=$indexcolor nowrap></th></tr>\n";
	$i=1;			# ``̉
	$j=$itemnum;
	print "<tr><td bgcolor=$indexcolor nowrap>$gardenlist[$j]</td>\n";
	print "<td><select name=$gardenlistname[$i] >";
	$itemnum=0;
	if ( $chacharoons[0] eq '' ) {
		print "<option selected value=$itemnum>";
	} else {
		print "<option value=$itemnum>";
	}
	print "</option>\n";
	$itemnum++;
	for($j=0;$j<=$#mementoslist ;$j++){
		for( $k=0; $k<=$#{$mementoslist[$j]};$k++){
			if ( ( $chacharoons[0] eq $j ) and ( $chacharoons[1] eq $k ) ) {
				print "<option selected value=$itemnum>";
			} else {
				print "<option value=$itemnum>";
			}
			print "$mementoslist[$j][$k]</option>\n";
			$itemnum++;
		}
	}
	print "</select></td></tr>\n";

	$i=1;			# OnEX
	$j=0;			# [Ỏ
	@templist = @houselist;
	print "<tr><td bgcolor=$indexcolor nowrap>$houselist[$j]</td>\n";
	$fstr = $gardenlistname[$i+1] . '_' . $j ;
	print "<td><input type=text size=15 name=$fstr value=$house[$j]></td></tr>\n";
	print "<tr><td colspan=2>&nbsp;</td></tr>\n";
		
	print "</table></td><td valign=top><table border=0>\n";
	print "</table></td></tr><tr><td colspan=3><hr></td></tr>\n";
	
	$i=2;			# X^[̎vo
	@templist = @m_ranklist;
	$itemnum = $#templist+1;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$mooglelist[$i]</th></tr>\n";

	for( $j=0; $j<$itemnum; $j++ ){
		@templist2 = @{$mementoslist[$j]};
		$itemnum2 = $#templist2+1;
		@rankmementos = split( //, $mementos[$j] );
		print "<td valign=top><table border=0><tr><td bgcolor=$indexcolor rowspan=$itemnum2 nowrap>$templist[$j]</td>\n";
		for( $k=0; $k<$itemnum2;$k++){
			if( $k != 0 ) {print "<tr>";}
			$fstr = $gardenlistname[$i+1] . '_' . $j . '_' . $k ;
			print "<td nowrap>$templist2[$k]</td><td><select name=$fstr>";
			if( $rankmementos[$k] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
			else			   {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
			print "</select></td></tr>\n";
		}
		print "<tr><td colspan=3>&nbsp;</td></tr></table></td>\n";
		if ( $j%3 == 2 ) {
			print "</tr><tr>\n"
		}
	}	
	print "</table></td></tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_garden_list();
}

sub form_garden {
	&def_garden_list();

	$garden = '';
	$i=0;			# OK[f
	for($j=0;$j<$#gardenlist ;$j++){
		$garden.=$FORM{"$gardenlistname[$i]" . '_' . "$j"};
		$garden.="/";
	}
	$garden.=",";

	$i=1;			# ``̉
	$chacharoon=$FORM{"$gardenlistname[$i]"};
	if ( $chacharoon != 0 ) {
		$itemnum=0;
		for($j=0 ; $j<=$#mementoslist ; $j++ ) {
			for( $k=0 ; $k<=$#{$mementoslist[$j]} ; $k++ ) {
				$itemnum++;
				if ( $chacharoon == $itemnum ) {
					$garden.="$j/$k/";
				}
			}
		}
	}
	$garden.=",";

	$i=2;			# OnEX
	for($j=0;$j<=$#houselist ;$j++){
		$garden.=$FORM{"$gardenlistname[$i]" . '_' . "$j"};
		$garden.="/";
	}
	$garden.=",";

	$i=3;			# X^[̎vo
	for($j=0;$j<=$#mementoslist ;$j++){
		for( $k=0; $k<=$#{$mementoslist[$j]};$k++){
			$garden.=$FORM{"$gardenlistname[$i]" . '_' . "$j" . '_' . "$k" };
		}
		$garden.="/";
	}
	$garden.=",";

	&clear_garden_list();
}

#  return TRUE for require
return 1;
