# GMR Monstros management sub routine
#   monstros.pl
#
#   ver 0.795 (2015/12/12)

# sub def_monstros_list	XgX̃Xg`
# sub clear_monstros_list	XgX̃Xg
# sub table_monstros		XgXꗗ
# sub menu_monstros		XgXOCj[
# sub form_monstros		XgXFORM


sub def_monstros_list {
	if($language ne "English"){
		# XgX
		@monstroslist =(
#			'r[Xg',
			[ 
				[	'ETM',	'F',	'F',	'sjI',	],
				[	'',	'X~h',	'`',	],
				[	'N@[',	'NX',	'',	],
				[	'I|I|',	],
				[	'm[',	],
				[	'xq[X',	'GXX',	],
				[	'r',	'JN[',	],
				[	'_',	],
				[	'Yr',	],
				[	'obt@[',	],
				[	'}[h',	],
				[	'}eBRA',	'`',	],
				[	'PxX',	'IgX',	],
			 ],
#			'vgCh',
			[
				[	'}hS',	'VNj',	'RK',	'R|fBE',	'^',	'pL|fBE',	'AfjE',	],
				[	'T{e_[',	'J',	],
				[	'tCgbv',	],
				[	'tVA',	'~gXe}',	],
				[	'OD[u[',	],
				[	'l',	'',	'',	],
				[	'LmR',	'Jbp[Lbv',	],
				[	'{',	'^',	'',	'A^[g',	'v{',	],
				[	'pmvg',	],
			 ],
#			'@[~',
			[
				[	'I',	'ԐF',	'F',	],
				[	'tC',	'ԐF',	],
				[	'[',	'c',	'',	],
				[	'fBoO',	'F',	],
				[	'ibg',	'~bW',	],
				[	'b',	'F',	'F',	],
				[	'NE[',	'GJ',	'ΐF',	'^',	],
				[	'XpC_[',	'Ԗ',	'ԍ',	],
				[	'_CA}Cg',	'Af}Cg',	],
				[	'T\',	'XRyhh',	'',	],
				[	'`S[',	'F',	],
				[	'AgI',	'F',	'tH~ZX',	],
			 ],
#			'U[h',
			[
				[	'gJQ',	'DF',	],
				[	'uK[h',	'Ar\uK[h',	],
				[	'EB',	'',	],
				[	'A_}^X',	'^',	'`',	'tF}^X',	],
				[	'vg',	'ΐF',	'ԐF',	],
				[	'Gtg',	'^`bN',	],
				[	'yCXg',	'VrX',	],
			 ],
#			'o[h',
			[
				[	'RE',	'3C',	'ԐF',	'3C̐ԐF',	],
				[	'',	'F',	],
				[	'Ru',	'gDJu',	],
				[	'AvJ',	'CO[U',	],
				[	'RJgX',	'WY',	],
				[	'bN',	'`',	'KKi',	],
				[	'qb|Ot',	],
				[	'AtBve',	'TOBve',	],
			 ],
#			'ANA',
			[
				[	'Nu',	'Ăw',	'ĂwԐF',	'|[^[Nu',	],
				[	'g[h',	'F',	'ԐF',	],
				[	'EOiCg',	'}XJu',	],
				[	'vM',	'WM',	],
				[	'',	'F',	],
				[	'I{',	'^',	'I[K[{',	],
				[	'X]',	],
			 ],
#			'At',
			[
				[	'XC',	'Nbg',	'F',	'{C',	],
				[	'wNgACY',	],
				[	't',	'F',	'F',	],
				[	'[`',	'F',	'Iuf',	],
				[	'XbO',	],
				[	'ThEH[',	'^',	'MKEH[',	],
			 ],
#			'̑',
			[
				[	'XC',	'XCxX',	'^XC',	],
				[	'XvK',	'NC[',	'OCuo[',	],
			 ],
		);

		# 푰
		@kindlist =(
			'r[Xg',
			'vgCh',
			'@[~',
			'U[h',
			'o[h',
			'ANA',
			'At',
			'̑',
		);
	}
	else {
		require('englishlist.pl');
		&def_monstros_list_e;
	}
}

sub clear_monstros_list {
	@monstroslist =();
	@kindlist =();
}

sub table_monstros {
	&def_monstros_list();

	&th_bgn(3) ;

	for($i=0;$i<=$#kindlist ;$i++) {
		$itemnum = 0;
		$listlength[$i] = $#{$monstroslist[$i]}+1 ;
		for($j=0;$j<$listlength[$i];$j++) {
			@templist = @{$monstroslist[$i][$j]};
			$itemnum2 = $#templist+1;
			$listlength2[$i][$j] = $itemnum2;
			$itemnum += $itemnum2 ;
			$str2 .= "<TH colspan=$itemnum2>$templist[0]</TH>\n";
			for( $k=0; $k<$itemnum2; $k++ ){
				$str3 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist[$k]</TH>\n";
			}
		}
		$str1 .= "<TH colspan=$itemnum>$kindlist[$i]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@monstross  = split(/,/,$monstros);

		&tr_bgn ;
		
		for ( $i=0; $i<=$#kindlist ; $i++ ){
			for ( $j=0; $j<$listlength[$i] ; $j++ ){
				$temp = shift( @monstross ) ;
				@templist = split( /\//, $temp);
				print "<TD align=center>$templist[0]</TD>\n";
				@templist2 = split( //, $templist[1] );
				for ( $k=0; $k<$listlength2[$i][$j]-1 ; $k++ ){
					print "<TD align=center>$maru[ $templist2[ $k ] ]</TD>\n";
				}
			}
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_monstros {
	&def_monstros_list();

	@monstross = split(/,/,$monstros);

	print "<input type=hidden name=all value=monstros>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";
	print "<table border=0>\n";

	for ( $i=0; $i<=$#kindlist; $i++ ){
		print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$kindlist[$i]</th></tr>\n";
		for( $j=0; $j<=$#{$monstroslist[$i]} ; $j++ ){
			@templist = @{$monstroslist[$i][$j]};
			$itemnum= $#templist +1 ;
			$temp = shift( @monstross ) ;
			@templist2 = split( /\//, $temp);
			$k=0;
			print "<tr><td bgcolor=$indexcolor rowspan=$itemnum nowrap>$templist[$k]</td>\n";
				$fstr = "monstros" . '_' . $i . '_' . $j . '_' . $k ;
				print "<td nowrap>$templist[$k]</td>";
				print "<td><input type=text size=3 name=$fstr value=$templist2[$k]></td></tr>\n";
			@templist3 = split( //, $templist2[$k+1] );
			for($k=1;$k<$itemnum ;$k++){
				$fstr = "monstros" . '_' . $i . '_' . $j . '_' . $k ;
				print "<tr><td nowrap>$templist[$k]</td><td><select name=$fstr>";
				if( $templist3[$k-1] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option></tr>\n";}
				else		     {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option></tr>\n";}
			}
		}
		print "<tr><td colspan=3>&nbsp;</td></tr>\n";
		print "</table></td><td valign=top><table border=0>\n";

		if ( ($i%3) == 2 ) {
			print "</table></td></tr><tr><td colspan=3></td></tr><tr><td valign=top><table border=0>\n";
		}
	}
	print "</table></td></tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_monstros_list();
}

sub form_monstros {
	&def_monstros_list();

	$monstros = '';
	for ( $i=0; $i<=$#kindlist ; $i++ ){
		for($j=0;$j<=$#{$monstroslist[$i]} ;$j++){
			$k=0;
			$monstros.=$FORM{"monstros" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
			$monstros.="/";
			for($k=1;$k<=$#{$monstroslist[$i][$j]} ;$k++){
				$monstros.=$FORM{"monstros" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
			}
			$monstros.="/,";
		}
	}

	&clear_monstros_list();
}

#  return TRUE for require
return 1;
