# GMR New Regist sub routine
#   newregist.pl
#
#   ver 0.795 (2015/12/10)

# sub new_regist		o[VKo^
# sub new_regist_regist	o[VKo^
# sub new_regist_normal	o[VKo^

# new_registFo[VKo^
sub new_regist{

	if(($gpass ne $reg_pass && $reg_mode==0)){
		&error_message('illegal login','password is not correct.');
	}

	if($mode eq "regist"){
		&new_regist_regist;
	}
	else {
		&new_regist_normal;
	}

}
# END@new_registFo[VKo^

sub new_regist_regist {
	
	if(!open(IN,"$datafile")){
		&error_message('datafile error1791','data file access failed.');
	}
	@all=<IN>;
	close IN;
	
	if( !($pass =~ /^[A-Za-z0-9_]+$/) ){
		if($language ne "English"){
			&error_message('̃pX[h͓o^ɗpł܂B','pX[h͔ppœo^ĂB');
		}
		else {
			&error_message('That password is unsuitable.','Password must use a-z and 0-9 letters.');
		}
	}
	if( !($name =~ /^[A-Za-z0-9_]+$/) ){
		if($language ne "English"){
			&error_message('̖O͎g܂B','O͔ppœo^ĂB');
		}
		else {
			&error_message('That name is unsuitable.','Name must use a-z and 0-9 letters.');
		}
	}
	
	if($language ne "English"){
		if($mainjob == $supportjob){
			&error_message('main/job error','CƃT|[g͓̃Wuɂ͂ł܂');
		}
	}
	else {
		if($mainjob == $supportjob){
			&error_message('main/job error',"Support job can not set as main's one.");
		}
	}
	
	$max_no=0;
	foreach $i (@all){
		&split_GMSdata( $i, 'r_') ;
		if($max_no<$r_no){
			$max_no=$r_no;
		}
		if($r_name eq $name){
			if ( $prod[12] == 0 ) {
				&error_message('already registed',"'$name' has already registed. please input world.");
			} elsif ( $prod[12] == $r_prod[12] ) {			# [h
				&error_message('already registed',"'$name' has already registed.");
			} elsif ( $pass eq $r_pass ) {
				&error_message('already registed',"'$name' has already registed. please change password.");
			}
		}
	}
	
	$no=($max_no+1)/1;
	
	if($no<10){
		$no="0$no";
	}
	if($no<100){
		$no="0$no";
	}
	
	&push_GMSdata( 'all', 'timenow' ) ;
	
	&dirlock;
	if(!open(OUT,">$datafile")){
		&error_message('datafile error1819','data file access failed.');
	}
	print OUT @all;
	close OUT;
	rmdir($lockdir);
	
	#RSSpt@C쐬
	$historybase="NEWREG\t$name\tNewMember\t$rsstime\t$no\t$rh\t\t$addr\t\n";
	&add_history;
	
	if($language ne "English"){
		print "VKo['$name'($no)̓o^܂B";
		print "<HR><a href=$script?$salt>[o^VXe]</a><a href=$script?function=faq>[g]</a><a href='$homepage'>[z[y[W֖߂]</a><BR>";
	}
	else {
		print "New Member '$name'($no) is registed.";
		print "<HR><a href=$script?$salt>[Entrance]</a><a href=$script?function=faq>[usage]</a><a href='$homepage'>[Back to Homepage]</a><BR>";
	}
	
}


sub new_regist_normal {
	
	require('world.pl');

	if($language ne "English"){
		print "<table width=100%><TR bgcolor=$indexcolor><TD>VKo[o^</TD></TR></table>\nVKo[o^܂BKv͂ĂB\n<table>";
	}
	else {
		print "<table width=100%><TR bgcolor=$indexcolor><TD>New Member Regist</TD></TR></table>\nFor registration, fill your information.\n<table>";
	}
	
	print <<"EOM";
<form method=post enctype='multipart/form-data'  action=$script>
<input type=hidden name=gpass value=$gpass>
<input type=hidden name=function value=new>
<input type=hidden name=mode value=regist>
EOM
		
	if($class_edit){
		print "<TR><TD>$field[0]</TD><TD><input type=text name=class value='$class'></TD></TR>\n";
	}
	else {
		print "<input type=hidden name=class value='$class'>";
	}
	print <<"EOM";
<TR><TD>$field[1]</TD><TD><input type=text name=name></TD>
<TR><TD>$field[2]</TD><TD><input type=text name=pass></TD>
<TR><TD>$field[3]</TD><TD><select name=anon>
<option value=off>off</option>
<option value=on>on</option>
</select></TD></TR>

EOM
	print "<TR><TD>$field[4]</TD><TD><select name=race>";
	for($i=0;$i<$#racelist+1;$i++){
		print "<option value=$i>$racelist[$i]</option>\n";
	}
	print "</select></TD></TR>\n";
	
	print "<TR><TD>$field[5] (<a href=$icondir";
	print "samples.htm target='_blank'>$field[18]</a>)</TD><TD><select name=ftype>";
	for($i=0;$i<$#facetypename+1;$i++){
	    print "<option value=$i>$facetypename[$i]</option>\n";
	}
	print "</select></TD></tr>\n";
	
	
	print "<TR><TD>$field[6]</TD><TD><select name=relm>";
	for($i=0;$i<$#relmlist+1;$i++){
		print "<option value=$i>$relmlistl[$i]</option>\n";
	}
	print "</select></TD></TR>\n";
	print "<TR><TD>$field[7]</TD><TD><select name=mainjob>";
	for($i=0;$i<$job_max;$i++){
		print "<option value=$i>$joblist[$i]</option>\n";
	}
	print "</select></TD></TR>\n";
	print "<TR><TD>$field[8]</TD><TD><select name=supportjob>";
	print "<option value=99>none</option>\n";
	for($i=0;$i<$job_max;$i++){
		print "<option value=$i>$joblist[$i]</option>\n";
	}
	print "</select></TD></TR>\n";
	
	for($i=0;$i<$job_max;$i++){
		print "<TR><TD>$joblist[$i]</TD><TD><input type=text size=2 name=lev$i></TD></TR>\n";
	}
	
	for($i=0;$i<$prod_max;$i++){
		print "<TR><TD>$prodlist[$i]</TD><TD><input type=text size=2 name=prod$i>";
		print "<select name=prod_r$i>";
		for($j=0;$j<$#ranklist+1;$j++){
			if($j==$prod_r[$i]){
				print "<option value=$j selected>$ranklist[$j]</option>\n";
			}
			else {
				print "<option value=$j>$ranklist[$j]</option>\n";
			}
		}
	}
	print "</select></TD></TR>\n";
	
	print "<TR><TD>$field[9]</TD><TD><input type=text name=point></TD></TR>\n";
	print "<TR><TD>$field[10]</TD><TD><input type=text name=mrank></TD></TR>\n";
	print "<TR><TD>$field[11]</TD><TD><input type=text name=comment size=80></TD></TR>\n";
	
	print "<TR><TD colspan=2><HR></TD></TR>\n";
	print "<TR><TD>$field[12]</TD><TD><select name=prof>";
	if($prof eq off){
		print "<option value=off selected>off</option><option value=on>on</option>";
	}
	else {
		print "<option value=off>off</option><option value=on selected>on</option>";
	}	
	print "</select></TD></TR>\n";
	
	print "<TR><TD>$field[13]</TD><TD><input type=text name=handle value='$handle'></TD></TR>\n";
	print "<TR><TD>$field[14]</TD><TD><input type=text name=polhn value='$polhn'></TD></TR>\n";
	print "<TR><TD>$field[15]</TD><TD><input type=text name=mail value='$mail'></TD></TR>\n";
	
	print "<TR><TD>$field[16]</TD><TD><input type=text name=home size=80 value='http://'></TD></TR>\n";
	
	$comment2 =~ s/<BR>/\r/g;
	print "<TR><TD>$field[17]</TD><TD><textarea name=comment2 rows=5 cols=60>$comment2</textarea></TD></TR>\n";
	
	print "<TR><TD>World</TD><TD><select name=prod12>\n";
	for($i=0;$i<=$#world_list;$i++){
		if($i==$prod[12]){
			print "<option value=$i selected>$world_list[$i]</option>\n";
		} else {
			print "<option value=$i>$world_list[$i]</option>\n";
	}	}
	print "</select></TD></TR>\n";

	print "<TR><TD colspan=2><HR></TD></TR>\n";

	if($language ne "English"){
		print "<TR><TD><input type=submit value='VKo^'></TD><TD></TD></TR>\n</form></table>";
		print "<HR><a href=$script?$salt>[o^VXe]</a><a href=$script?function=faq>[g]</a><a href='$homepage'>[z[y[W֖߂]</a><BR>";
	}
	else {
		print "<TR><TD><input type=submit value='Regist'></TD><TD></TD></TR>\n</form></table>";
		print "<HR><a href=$script?$salt>[Entrance]</a><a href=$script?function=faq>[Usage]</a><a href='$homepage'>[Back to homepage]</a><BR>";
	}
	
}

#  return TRUE for require
return 1;
