# GMR Progress management sub routine
#   progress.pl
#
#   ver 0.806 (2016/11/09)

# sub def_prog_aeonic_list	CIjbNisXg`
# sub def_prog_relic_list	bNisXg`
# sub def_prog_mythic_list	~VbNisXg`
# sub def_prog_empyrean_list	GsAisXg`
# sub def_prog_ergon_list	GSisXg`
# sub clear_prog_aeonic_list	CIjbNis֘ÃXg
# sub clear_prog_relic_list	bNis֘ÃXg
# sub clear_prog_mythic_list	~VbNis֘ÃXg
# sub clear_prog_empyrean_list	GsAis֘ÃXg
# sub clear_prog_ergon_list	GSis֘ÃXg
# sub table_prog_aeonic	CIjbNis
# sub table_prog_relic		bNis
# sub table_prog_mythic	~VbNis
# sub table_prog_empyrean	GsAis
# sub table_prog_ergon		GSis
# sub menu_progress		is֘AOCj[
# sub form_progress		is֘AFORM


sub def_prog_aeonic_list {
	require('aeonic.pl');
	&def_aeonic_list();
	require( 'vanadiel.pl' );
	&def_vanadiel_list();

	if($language ne "English"){
		# CIjbNis
		@prog_aeonic_list =(
			'CIjbNis',
			@aeonic_list,
			[	'GXJr[Y',			51111,	],
			[	'NM̓',
				[	$vanadiel_list[1][1][0],		$#{$vanadiel_list[1][1][1]}+1,		],
				[	$vanadiel_list[1][2][0],		$#{$vanadiel_list[1][2][1]}+1,		],
				[	$vanadiel_list[1][3][0],		$#{$vanadiel_list[1][3][1]}+1,		],
				[	$vanadiel_list[1][4][0],		$#{$vanadiel_list[1][4][1]}+1,		],
				[	$vanadiel_list[1][5][0],		$#{$vanadiel_list[1][5][1]}+1,		],
				[	$vanadiel_list[1][6][0],		$#{$vanadiel_list[1][6][1]}+1,		],
				[	$vanadiel_list[1][7][0],		$#{$vanadiel_list[1][7][1]}+1,		],
				[	$vanadiel_list[1][8][0],		$#{$vanadiel_list[1][8][1]}+1,		],
				[	$vanadiel_list[1][9][0],		$#{$vanadiel_list[1][9][1]}+1,		],
				[	$vanadiel_list[1][10][0],	$#{$vanadiel_list[1][10][1]}+1,		],
				[	$vanadiel_list[1][11][0],	$#{$vanadiel_list[1][11][1]}+1,		],
				[	$vanadiel_list[1][12][0],	$#{$vanadiel_list[1][12][1]}+1,		],
				[	$vanadiel_list[1][13][0],	$#{$vanadiel_list[1][13][1]}+1,		],
			],
			'',
			'',	
		);

	}
	else {
		require('englishlist.pl');
		&def_prog_aeonic_list_e;
	}

	&clear_aeonic_list();
	&clear_vanadiel_list();
}

sub def_prog_relic_list {
	require('equip.pl');
	&def_equip_list();

	if($language ne "English"){
		# bNis
		@prog_relic_list =(
			'bNis',
			[
				$equiplist[0],
				[	0,	$relicwlist[0],	],
				[	1,	$relicwlist[1],	],
				[	2,	$relicwlist[2],	],
				[	3,	$relicwlist[3],	],
				[	4,	$relicwlist[4],	],
				[	5,	$relicwlist[5],	],
				[	6,	$relicwlist[6],	],
				[	7,	$relicwlist[7],	],
				[	8,	$relicwlist[8],	],
				[	9,	$relicwlist[9],	],
				[	10,	$relicwlist[10],	],
				[	11,	$relicwlist[11],	],
				[	12,	$relicwlist[12],	],
				[	13,	$relicwlist[13],	],
				[	17,	$relicwlist[14],	],
				[	27,	$relicwlist[15],	],
			],
			[	'',
				'f',
				[	'ݕ',
					[	5, 15, 60, 100,		],
				],
				'',
				'',	
				'vVP[',
			],	
			[	'CW',
				[	'bNWS',
					[	200, 200, 300, 300, 400,	],
				],
				[	'NM',			5,	],
				[	'NM',		10,	],
				[	'Au}E',	5,	],
			],
			[	'Oboro',
				[	'[',
					[	300, 10000,		],
				],
			],
		);

	}
	else {
		require('englishlist.pl');
		&def_prog_relic_list_e;
	}

	&clear_equip_list();
}

sub def_prog_mythic_list {
	require('equip.pl');
	&def_equip_list();

	if($language ne "English"){
		# ~VbNis
		@prog_mythic_list =(
			'~VbNis',
			[
				$equiplist[1],
				[	5,	$mythicwlist[9],	],
				[	0,	$mythicwlist[0],	],
				[	10,	$mythicwlist[14],	],
				[	11,	$mythicwlist[15],	],
				[	2,	$mythicwlist[5],	],
				[	1,	$mythicwlist[2],	],
				[	2,	$mythicwlist[6],	],
				[	6,	$mythicwlist[10],	],
				[	13,	$mythicwlist[18],	],
				[	1,	$mythicwlist[3],	],
				[	4,	$mythicwlist[8],	],
				[	7,	$mythicwlist[11],	],
				[	11,	$mythicwlist[16],	],
				[	8,	$mythicwlist[12],	],
				[	9,	$mythicwlist[13],	],
				[	2,	$mythicwlist[7],	],
				[	13,	$mythicwlist[19],	],
				[	0,	$mythicwlist[1],	],
				[	1,	$mythicwlist[4],	],
				[	11,	$mythicwlist[17],	],
			],
			[	'NGXg',
				[	'܂ꂽc{̕',
					[	'iCY',
						'f',
						'̃JM',
					],
					[	'؉',
						'O[WW',
						'O[t[[',
						'hD[T',
					],
					[	'ԑ|',
						'[I',
						'ApS',
						'otE',
						'C',
					],
					[	'א_',
						'I[fB',
					],
				],
				[	'CACcc܂CI',
					[	'ΎW',
						[	'ALThCg',	30000,		],
					],
					[	'ʖ{T',
						[	'g[N',		150000,	],
					],
					[	'',
						[	'CV',		10,		],
						[	'yLA',		10,		],
						[	'}[W',		10,		],
						[	'W',		10,		],
						[	'xX',		10,		],
					],
					[	'╨',
						[	'Av',		100000,	],
					],
				],
				[	'pƒ',	
					[	'Ԓ',
						'eBj',
						'T[[',
						'eBK[',
					],
					'BF',
				],
			],	
			[	'CW',
				[	'~VbNWS',
					[	200, 200, 300, 300, 400,	],
				],
				[	'ԒNM',			3,	],
				[	'Tx[WNM',		3,	],
				[	'}Vo[XRA',	3,	],
			],
			[	'Oboro',
				[	'ݓS',
					[	300, 10000,		],
				],
			],
		);

	}
	else {
		require('englishlist.pl');
		&def_prog_mythic_list_e;
	}

	&clear_equip_list();
}

sub def_prog_empyrean_list {
	require('equip.pl');
	&def_equip_list();

	if($language ne "English"){
		# GsAis
		@prog_empyrean_list =(
			'GsAis',
			[
				$equiplist[13],
				[	0,	$empiwlist[0],	],
				[	1,	$empiwlist[1],	],
				[	2,	$empiwlist[2],	],
				[	3,	$empiwlist[3],	],
				[	4,	$empiwlist[4],	],
				[	5,	$empiwlist[5],	],
				[	6,	$empiwlist[6],	],
				[	7,	$empiwlist[7],	],
				[	8,	$empiwlist[8],	],
				[	9,	$empiwlist[9],	],
				[	10,	$empiwlist[10],	],
				[	11,	$empiwlist[11],	],
				[	12,	$empiwlist[12],	],
				[	13,	$empiwlist[13],	],
				[	26,	$empiwlist[14],	],
				[	17,	$empiwlist[15],	],
			],
			[	'CW',
				[	'NM',			3,	],
				[	'NM',			3,	],
				[	'NM',			3,	],
				[	'NM',			4,	],
				[	'ߋNM',		4,	],
				[	'NM',			4,	],
			],
			[	'ArZA',
				[	'ONM',		6,	],
				[	'kNM',		6,	],
				[	'e|NM',		8,	],
			],
			[	'ArZA',
				[	'֒fNM',		50,	],
				[	'NM',		50,	],
				[	'eNM',		75,	],
			],
			[	'HChEHb`',
				[	'wB^',				1500,	],
				[	'tghX<br>tgV_[',	60,	],
			],
			[	'Oboro',
				[	'tg{E_[',
					[	300, 10000,		],
				],
			],
		);

	}
	else {
		require('englishlist.pl');
		&def_prog_empyrean_list_e;
	}

	&clear_equip_list();
}

sub def_prog_ergon_list {
	require('equip.pl');
	&def_equip_list();

	if($language ne "English"){
		# GSis
		@prog_ergon_list =(
			'GSis',
			[
				'GSEF|',
				[	3,	$mythicwlist[20],	],
				[	10,	$mythicwlist[21],	],
			],
			[	'NGXg',
#				[	'̉F͙R<br>NCGZX',
				[	'̉F<br>',
					[	'xxh',			100,		],
				],
				[	'\[}̌yz<br>Oyz',
#					[	'iXCXyN^[{Xf',	3,		],
					'oYeBA',
					'bNtB',
					'MuX',
					[	'',				200,		],
					[	'xxh',			500,		],
				],
				[	'\[}̌y҉΁z<br>OyMz',
#					[	'iXCXyN^[{Xf',	3,		],
					'COhA',
					'N^U',
					'ZtGW',
					[	'Η',				200,		],
					[	'xxh',			2500,		],
				],
				[	'\[}̌y˕z<br>Oyz',
					[	'iXvY',			2500000,	],
					[	'',				200,		],
					[	'xxh',			9999,		],
				],
			],	
			[	'Oboro',
				[	'ݓS',
					[	10000,		],
				],
			],
		);

	}
	else {
		require('englishlist.pl');
		&def_prog_ergon_list_e;
	}

	&clear_equip_list();
}

sub clear_prog_aeonic_list {
	@prog_aeonic_list =();
}

sub clear_prog_relic_list {
	@prog_relic_list =();
}

sub clear_prog_mythic_list {
	@prog_mythic_list =();
}

sub clear_prog_empyrean_list {
	@prog_empyrean_list =();
}

sub clear_prog_ergon_list {
	@prog_ergon_list =();
}

sub table_prog_aeonic {	# CIjbNis
	&def_prog_aeonic_list();

	&th_bgn(2) ;
 
	$str1 .= "<TH colspan=2>$prog_aeonic_list[1][0]</TH>\n";
	$str2 .= "<TH></TH><TH></TH>\n";

	$str1 .= "<TH rowspan=2>$prog_aeonic_list[2][0]</TH>\n";

	@templist = @{$prog_aeonic_list[3]} ;
	$listlength = $#templist ;
	$str1 .= "<TH colspan=$listlength>$templist[0]</TH>\n";
	for($i=1;$i<=$listlength ;$i++) {
		$str2 .= "<TH>$templist[$i][0]</TH>\n";
	}

	$str1 .= "<TH rowspan=2>$prog_aeonic_list[4]</TH>\n";
	$str1 .= "<TH rowspan=2>$prog_aeonic_list[5]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@progresss = split(/,/,$progress);
		@prog_aeonics = split(/\//,$progresss[0]);
		@vanadiels = split(/,/,$vanadiel);
		@templist0 = split( /\//, $vanadiels[1] );

		&tr_bgn ;
		
		if ( $prog_aeonics[0] ) {
			&td( $skilllist[ $prog_aeonic_list[1][ $prog_aeonics[0] ][0] ] ) ;
			&td( $prog_aeonic_list[1][ $prog_aeonics[0] ][1]) ;
		} else {
			&td( '' ) ;
			&td( '' ) ;
		}

		&td( $prog_aeonics[1] , $prog_aeonic_list[2][1] ) ;

		for ( $i=1; $i<=$listlength ; $i++ ){
			@templist01 = split( //, $templist0[$i-1]);
			$tempnum = 0 ;
			for ( $j=0; $j<=$#templist01; $j++ ){
				if ( $templist01[$j] == 2 ) 	{	$tempnum++ ;	}
			}

			@templist = @{$prog_aeonic_list[3]} ;
			&td( $tempnum, $templist[$i][1] ) ;
		}

		&td( $maru[ $prog_aeonics[$listlength+2] ] ) ;
		&td( $maru[ $prog_aeonics[$listlength+3] ] ) ;

		&tr_end ;
	}
	print "</table>\n";
}

sub table_prog_relic {	# bNis
	&def_prog_relic_list();

	&th_bgn(2) ;
 
	$str1 .= "<TH colspan=2>$prog_relic_list[1][0]</TH>\n";
	$str2 .= "<TH></TH><TH></TH>\n";

	$str1 .= "<TH colspan=8>$prog_relic_list[2][0]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[2][1]</TH>\n";
	$str2 .= "<TH colspan=4>$prog_relic_list[2][2][0]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[2][3]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[2][4]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[2][5]</TH>\n";

	$str1 .= "<TH colspan=8>$prog_relic_list[3][0]</TH>\n";
	$str2 .= "<TH colspan=5>$prog_relic_list[3][1][0]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[3][2][0]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[3][3][0]</TH>\n";
	$str2 .= "<TH>$prog_relic_list[3][4][0]</TH>\n";

	$str1 .= "<TH colspan=2>$prog_relic_list[4][0]</TH>\n";
	$str2 .= "<TH colspan=2>$prog_relic_list[4][1][0]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@progresss = split(/,/,$progress);
		@prog_relics = split(/\//,$progresss[1]);

		&tr_bgn ;
		
		if ( $prog_relics[0] ) {
			&td( $skilllist[ $prog_relic_list[1][ $prog_relics[0] ][0] ] ) ;
			&td( $prog_relic_list[1][ $prog_relics[0] ][1] ) ;
		} else {
			&td( '' ) ;
			&td( '' ) ;
		}

		&td( $maru[ $prog_relics[1] ] ) ;
		&td( $prog_relics[2], $prog_relic_list[2][2][1][0] ) ;
		&td( $prog_relics[3], $prog_relic_list[2][2][1][1] ) ;
		&td( $prog_relics[4], $prog_relic_list[2][2][1][2] ) ;
		&td( $prog_relics[5], $prog_relic_list[2][2][1][3] ) ;
		&td( $maru[ $prog_relics[6] ] ) ;
		&td( $maru[ $prog_relics[7] ] ) ;
		&td( $maru[ $prog_relics[8] ] ) ;

		&td( $prog_relics[9], $prog_relic_list[3][1][1][0] ) ;
		&td( $prog_relics[10], $prog_relic_list[3][1][1][1] ) ;
		&td( $prog_relics[11], $prog_relic_list[3][1][1][2] ) ;
		&td( $prog_relics[12], $prog_relic_list[3][1][1][3] ) ;
		&td( $prog_relics[13], $prog_relic_list[3][1][1][4] ) ;
		&td( $prog_relics[14], $prog_relic_list[3][2][1] ) ;
		&td( $prog_relics[15], $prog_relic_list[3][3][1] ) ;
		&td( $prog_relics[16], $prog_relic_list[3][4][1] ) ;

		&td( $prog_relics[17], $prog_relic_list[4][1][1][0] ) ;
		&td( $prog_relics[18], $prog_relic_list[4][1][1][1] ) ;

		&tr_end ;
	}
	print "</table>\n";
}

sub table_prog_mythic {	# ~VbNis
	&def_prog_mythic_list();

	&th_bgn(2) ;
 
	$str1 .= "<TH colspan=2>$prog_mythic_list[1][0]</TH>\n";
	$str2 .= "<TH></TH><TH></TH>\n";

	$str1 .= "<TH colspan=2>$prog_mythic_list[2][1][1][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][1][1]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][1][2]</TH>\n";
	$str1 .= "<TH colspan=3>$prog_mythic_list[2][1][2][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][2][1]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][2][2]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][2][3]</TH>\n";
	$str1 .= "<TH colspan=4>$prog_mythic_list[2][1][3][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][3][1]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][3][2]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][3][3]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][3][4]</TH>\n";
	$str1 .= "<TH colspan=1>$prog_mythic_list[2][1][4][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][1][4][1]</TH>\n";

	$str1 .= "<TH colspan=1>$prog_mythic_list[2][2][1][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][1][1][0]</TH>\n";
	$str1 .= "<TH colspan=1>$prog_mythic_list[2][2][2][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][2][1][0]</TH>\n";
	$str1 .= "<TH colspan=5>$prog_mythic_list[2][2][3][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][3][1][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][3][2][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][3][3][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][3][4][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][3][5][0]</TH>\n";
	$str1 .= "<TH colspan=1>$prog_mythic_list[2][2][4][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][2][4][1][0]</TH>\n";

	$str1 .= "<TH colspan=3>$prog_mythic_list[2][3][1][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][3][1][1]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][3][1][2]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][3][1][3]</TH>\n";
	$str1 .= "<TH colspan=1>$prog_mythic_list[2][3][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[2][3][2]</TH>\n";

	$str1 .= "<TH colspan=8>$prog_mythic_list[3][0]</TH>\n";
	$str2 .= "<TH colspan=5>$prog_mythic_list[3][1][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[3][2][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[3][3][0]</TH>\n";
	$str2 .= "<TH>$prog_mythic_list[3][4][0]</TH>\n";

	$str1 .= "<TH colspan=2>$prog_mythic_list[4][0]</TH>\n";
	$str2 .= "<TH colspan=2>$prog_mythic_list[4][1][0]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@progresss = split(/,/,$progress);
		@prog_mythics = split(/\//,$progresss[2]);

		&tr_bgn ;
		
		if ( $prog_mythics[0] ) {
			&td( $skilllist[ $prog_mythic_list[1][ $prog_mythics[0] ][0] ] ) ;
			&td( $prog_mythic_list[1][ $prog_mythics[0] ][1] ) ;
		} else {
			&td( '' ) ;
			&td( '' ) ;
		}

		&td( $maru[ $prog_mythics[1] ] ) ;
		&td( $maru[ $prog_mythics[2] ] ) ;
		&td( $maru[ $prog_mythics[3] ] ) ;
		&td( $maru[ $prog_mythics[4] ] ) ;
		&td( $maru[ $prog_mythics[5] ] ) ;
		&td( $maru[ $prog_mythics[6] ] ) ;
		&td( $maru[ $prog_mythics[7] ] ) ;
		&td( $maru[ $prog_mythics[8] ] ) ;
		&td( $maru[ $prog_mythics[9] ] ) ;
		&td( $maru[ $prog_mythics[10] ] ) ;

		&td( $prog_mythics[11], $prog_mythic_list[2][2][1][1][1] ) ;
		&td( $prog_mythics[12], $prog_mythic_list[2][2][2][1][1] ) ;
		&td( $prog_mythics[13], $prog_mythic_list[2][2][3][1][1] ) ;
		&td( $prog_mythics[14], $prog_mythic_list[2][2][3][2][1] ) ;
		&td( $prog_mythics[15], $prog_mythic_list[2][2][3][3][1] ) ;
		&td( $prog_mythics[16], $prog_mythic_list[2][2][3][4][1] ) ;
		&td( $prog_mythics[17], $prog_mythic_list[2][2][3][5][1] ) ;
		&td( $prog_mythics[18], $prog_mythic_list[2][2][4][1][1] ) ;

		&td( $maru[ $prog_mythics[19] ] ) ;
		&td( $maru[ $prog_mythics[20] ] ) ;
		&td( $maru[ $prog_mythics[21] ] ) ;
		&td( $maru[ $prog_mythics[22] ] ) ;

		&td( $prog_mythics[23], $prog_mythic_list[3][1][1][0] ) ;
		&td( $prog_mythics[24], $prog_mythic_list[3][1][1][1] ) ;
		&td( $prog_mythics[25], $prog_mythic_list[3][1][1][2] ) ;
		&td( $prog_mythics[26], $prog_mythic_list[3][1][1][3] ) ;
		&td( $prog_mythics[27], $prog_mythic_list[3][1][1][4] ) ;
		&td( $prog_mythics[28], $prog_mythic_list[3][2][1] ) ;
		&td( $prog_mythics[29], $prog_mythic_list[3][3][1] ) ;
		&td( $prog_mythics[30], $prog_mythic_list[3][4][1] ) ;

		&td( $prog_mythics[31], $prog_mythic_list[4][1][1][0] ) ;
		&td( $prog_mythics[32], $prog_mythic_list[4][1][1][1] ) ;

		&tr_end ;
	}
	print "</table>\n";
}

sub table_prog_empyrean {	# GsAis
	&def_prog_empyrean_list();

	&th_bgn(2) ;
 
	$str1 .= "<TH colspan=2>$prog_empyrean_list[1][0]</TH>\n";
	$str2 .= "<TH></TH><TH></TH>\n";

	for ( $j=2 ; $j<=5 ; $j++ ) {
		$str1 .= "<TH colspan=". $#{$prog_empyrean_list[$j]} . ">$prog_empyrean_list[$j][0]</TH>\n" ;
		for ( $k=1 ; $k<= $#{$prog_empyrean_list[$j]} ; $k++ ) {
			$str2 .= "<TH>$prog_empyrean_list[$j][$k][0]</TH>\n";
	}	}

	$str1 .= "<TH colspan=2>$prog_empyrean_list[6][0]</TH>\n";
	$str2 .= "<TH colspan=2>$prog_empyrean_list[6][1][0]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@progresss = split(/,/,$progress);
		@prog_empyreans = split(/\//,$progresss[3]);

		&tr_bgn ;
		
		if ( $prog_empyreans[0] ) {
			&td( $skilllist[ $prog_empyrean_list[1][ $prog_empyreans[0] ][0] ] ) ;
			&td( $prog_empyrean_list[1][ $prog_empyreans[0] ][1] ) ;
		} else {
			&td( '' ) ;
			&td( '' ) ;
		}

		$l = 1;
		for ( $j=2 ; $j<=5 ; $j++ ) {
			for ( $k=1 ; $k<= $#{$prog_empyrean_list[$j]} ; $k++ ) {
				&td( $prog_empyreans[$l], $prog_empyrean_list[$j][$k][1] ) ;
				$l++ ;
		}	}

		&td( $prog_empyreans[$l], $prog_empyrean_list[6][1][1][0] ) ;
		$l++ ;
		&td( $prog_empyreans[$l], $prog_empyrean_list[6][1][1][1] ) ;

		&tr_end ;
	}
	print "</table>\n";
}

sub table_prog_ergon {	# GSis
	&def_prog_ergon_list();

	&th_bgn(2) ;
 
	$str1 .= "<TH colspan=2>$prog_ergon_list[1][0]</TH>\n";
	$str2 .= "<TH></TH><TH></TH>\n";

	$j=1 ;
		$str1 .= "<TH colspan=". $#{$prog_ergon_list[2][$j]} . ">$prog_ergon_list[2][$j][0]</TH>\n" ;
		for ( $k=1 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
			$str2 .= "<TH>$prog_ergon_list[2][$j][$k][0]</TH>\n";
		}

	for ( $j=2 ; $j<=3 ; $j++ ) {
		$str1 .= "<TH colspan=". $#{$prog_ergon_list[2][$j]} . ">$prog_ergon_list[2][$j][0]</TH>\n" ;
		for ( $k=1 ; $k<= 3 ; $k++ ) {
			$str2 .= "<TH>$prog_ergon_list[2][$j][$k]</TH>\n";
		}
		for ( $k=4 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
			$str2 .= "<TH>$prog_ergon_list[2][$j][$k][0]</TH>\n";
		}
	}

	$j=4 ;
		$str1 .= "<TH colspan=". $#{$prog_ergon_list[2][$j]} . ">$prog_ergon_list[2][$j][0]</TH>\n" ;
		for ( $k=1 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
			$str2 .= "<TH>$prog_ergon_list[2][$j][$k][0]</TH>\n";
		}

	$str1 .= "<TH>$prog_ergon_list[3][0]</TH>\n";
	$str2 .= "<TH>$prog_ergon_list[3][1][0]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@progresss = split(/,/,$progress);
		@prog_ergons = split(/\//,$progresss[4]);

		&tr_bgn ;
		
		$l = 0;
		if ( $prog_ergons[$l] ) {
			&td( $skilllist[ $prog_ergon_list[1][ $prog_ergons[$l] ][0] ] ) ;
			&td( $prog_ergon_list[1][ $prog_ergons[$l] ][1] ) ;
		} else {
			&td( '' ) ;
			&td( '' ) ;
		}

		$l++ ;
		$j=1 ;
			for ( $k=1 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
				&td( $prog_ergons[$l], $prog_ergon_list[2][$j][$k][1] ) ;
				$l++ ;
			}

		for ( $j=2 ; $j<=3 ; $j++ ) {
			for ( $k=1 ; $k<= 3 ; $k++ ) {
				&td( $maru[ $prog_ergons[$l] ] ) ;
				$l++ ;
			}
			for ( $k=4 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
				&td( $prog_ergons[$l], $prog_ergon_list[2][$j][$k][1] ) ;
				$l++ ;
			}
		}

		$j=4 ;
			for ( $k=1 ; $k<= $#{$prog_ergon_list[2][$j]} ; $k++ ) {
				&td( $prog_ergons[$l], $prog_ergon_list[2][$j][$k][1] ) ;
				$l++ ;
			}

		&td( $prog_ergons[$l], $prog_ergon_list[3][1][1][0] ) ;

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_progress {

	@progresss = split(/,/,$progress);

	print "<input type=hidden name=all value=progress>";
	print "<table border=0><tr><td colspan=3><hr></td></tr>\n";

	$i = 0 ;						# CIjbNis
	&def_prog_aeonic_list();
	@templist3 = split( /\//, $progresss[$i] );
	@templist2 = @prog_aeonic_list ;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
		$j = 1 ;					# CIjbNEF|
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$j][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $l ( 0..$#{$templist2[$j]} ){
			print "<option value=$l";
			if( $templist3[$j-1] == $l ){	print " selected";	}
			print ">" ;
			if ($l ) {			print "$skilllist[ $templist2[$j][$l][0] ]" ;	}
			print "</option>";
		}
		print "</td></tr>\n";

		$j ++ ;					# GXJr[Y
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[2][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
		print "<td> ^ $templist2[2][1]</td></tr>\n";

		$j += $#{$templist2[3]} ;		# 'NM̓',

		$j ++ ;					# 
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[4]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
		else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
		print "</td></tr>\n";

		$j ++ ;					# 
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[5]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
		else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
		print "</td></tr>\n";

	print "<tr><td><button type=submit name=reset$i value=1>reset</td></tr>\n";

	print "</table></td></tr>\n";
	print "<tr><td colspan=3><hr></td></tr>\n";
	&clear_prog_aeonic_list();

	$i = 1 ;						# bNis
	&def_prog_relic_list();
	@templist3 = split( /\//, $progresss[$i] );
	@templist2 = @prog_relic_list ;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
		$j = 1 ;					# bNEF|
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$j][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $l ( 0..$#{$templist2[$j]} ){
			print "<option value=$l";
			if( $templist3[$j-1] == $l ){	print " selected";	}
			print ">" ;
			if ($l ) {			print "$skilllist[ $templist2[$j][$l][0] ]" ;	}
			print "</option>";
		}
		print "</td></tr>\n";
	print "</table></td></tr>\n";

	print "<tr><td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[2][0]</td></tr>\n";
		$j ++ ;					# f
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[2][1]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
		else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
		print "</td></tr>\n";

		$j ++ ;					# ݕ
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[2][2][1]}+1, " nowrap>$templist2[2][2][0]</td>\n";
		for ( $k=0 ; $k <= $#{$templist2[2][2][1]} ; $k++ ) {
			if ( $k != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[2][2][1][$k]</td></tr>\n";
			$j++ ;
		}
							#   vVP[
		for ( $k=3 ; $k <= 5 ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor nowrap>$templist2[2][$k]</td>\n";
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><select name=$fstr>";
			if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
			else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
			print "</td></tr>\n";
			$j++ ;
		}
	print "</table></td>\n";

	print "<td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[3][0]</td></tr>\n";
							# bNWS
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[3][1][1]}+1, " nowrap>$templist2[3][1][0]</td>\n";
		for ( $k=0 ; $k <= $#{$templist2[3][1][1]} ; $k++ ) {
			if ( $k != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[3][1][1][$k]</td></tr>\n";
			$j++ ;
		}
							# NM NM }E
		for ( $k=2 ; $k <= 4 ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor nowrap>$templist2[3][$k][0]</td>\n";
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[3][$k][1]</td></tr>\n";
			$j++ ;
		}
	print "</table></td>\n";

	print "<td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[4][0]</td></tr>\n";
							# '[',
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[4][1][1]}+1, " nowrap>$templist2[4][1][0]</td>\n";
		for ( $k=0 ; $k <= $#{$templist2[4][1][1]} ; $k++ ) {
			if ( $k != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[4][1][1][$k]</td></tr>\n";
			$j++ ;
		}
	print "</table></td></tr>\n";

	print "<tr><td><button type=submit name=reset$i value=1>reset</td></tr>\n";
	&clear_prog_relic_list();
	print "<tr><td colspan=3><hr></td></tr>\n";

	$i = 2 ;						# ~VbNis
	&def_prog_mythic_list();
	@templist3 = split( /\//, $progresss[$i] );
	@templist2 = @prog_mythic_list ;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
		$j = 1 ;					# ~VbNEF|
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$j][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $l ( 0..$#{$templist2[$j]} ){
			print "<option value=$l";
			if( $templist3[$j-1] == $l ){	print " selected";	}
			print ">" ;
			if ($l ) {			print "$joblist[ $l-1 ]" ;	}
			print "</option>";
		}
		print "</td></tr>\n";
	print "</table></td></tr>\n";

	$j ++ ;						# NGXg
	print "<tr><td bgcolor=$indexcolor colspan=3 nowrap>$templist2[2][0]</td></tr>\n";
							# '܂ꂽc{̕',
		@templist21 = @{$templist2[2][1]} ;
		print "<tr><td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
		for ( $k=1 ; $k <= $#templist21 ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor rowspan=$#{$templist21[$k]} nowrap>$templist21[$k][0]</td>\n";
			for ( $l=1 ; $l <= $#{$templist21[$k]} ; $l++ ) {
				print "<td bgcolor=$indexcolor nowrap>$templist21[$k][$l]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><select name=$fstr>";
				if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
				else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
				print "</td></tr>\n";
				$j++ ;
			}
		}
		print "</table></td>\n";
							# 'CACcc܂CI'
		@templist21 = @{$templist2[2][2]} ;
		print "<td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
		for ( $k=1 ; $k <= $#templist21 ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor rowspan=$#{$templist21[$k]} nowrap>$templist21[$k][0]</td>\n";
			for ( $l=1 ; $l <= $#{$templist21[$k]} ; $l++ ) {
				print "<td bgcolor=$indexcolor nowrap>$templist21[$k][$l][0]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
				print "<td> ^ $templist21[$k][$l][1]</td></tr>\n";
				$j++ ;
			}
		}
		print "</table></td>\n";
							# pƒ
		@templist21 = @{$templist2[2][3]} ;
		print "<td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
		$k=1 ;
			print "<tr><td bgcolor=$indexcolor rowspan=$#{$templist21[$k]} nowrap>$templist21[$k][0]</td>\n";
			for ( $l=1 ; $l <= $#{$templist21[$k]} ; $l++ ) {
				print "<td bgcolor=$indexcolor nowrap>$templist21[$k][$l]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><select name=$fstr>";
				if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
				else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
				print "</td></tr>\n";
				$j++ ;
			}
		$k=2 ;
			print "<tr><td bgcolor=$indexcolor colspan=2 nowrap>$templist21[$k]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><select name=$fstr>";
				if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
				else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
				print "</td></tr>\n";
				$j++ ;
		print "</table></td>\n";
	print "</tr>\n";

	print "<tr><td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[3][0]</td></tr>\n";
							# ~VbNWS
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[3][1][1]}+1, " nowrap>$templist2[3][1][0]</td>\n";
		for ( $k=0 ; $k <= $#{$templist2[3][1][1]} ; $k++ ) {
			if ( $k != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[3][1][1][$k]</td></tr>\n";
			$j++ ;
		}
							# ԒNM Tx[WNM }Vo[XRA
		for ( $k=2 ; $k <= 4 ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor nowrap>$templist2[3][$k][0]</td>\n";
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[3][$k][1]</td></tr>\n";
			$j++ ;
		}
	print "</table></td>\n";

	print "<td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[4][0]</td></tr>\n";
							# ݓS
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[4][1][1]}+1, " nowrap>$templist2[4][1][0]</td>\n";
		for ( $k=0 ; $k <= $#{$templist2[4][1][1]} ; $k++ ) {
			if ( $k != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[4][1][1][$k]</td></tr>\n";
			$j++ ;
		}
	print "</table></td></tr>\n";

	print "<tr><td><button type=submit name=reset$i value=1>reset</td></tr>\n";
	&clear_prog_mythic_list();
	print "<tr><td colspan=3><hr></td></tr>\n";

	$i = 3 ;						# GsAis
	&def_prog_empyrean_list();
	@templist3 = split( /\//, $progresss[$i] );
	@templist2 = @prog_empyrean_list ;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
		$j = 1 ;					# GsAEF|
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$j][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $l ( 0..$#{$templist2[$j]} ){
			print "<option value=$l";
			if( $templist3[$j-1] == $l ){	print " selected";	}
			print ">" ;
			if ($l ) {			print "$skilllist[ $templist2[$j][$l][0] ]" ;	}
			print "</option>";
		}
		print "</td></tr>\n";
	print "</table></td></tr>\n";

	print "<tr><td valign=top><table border=0>\n";
		$j ++ ;					# CW ArZA ArZA HChEHb`
		for ( $k=2 ; $k <= ($#templist2-1) ; $k++ ) {
			print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[$k][0]</td></tr>\n";
			for ( $l=1 ; $l <= $#{$templist2[$k]} ; $l++ ) {
				print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$k][$l][0]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
				print "<td> ^ $templist2[$k][$l][1]</td></tr>\n";
				$j++ ;
			}
			print "</table></td>\n";
			if ( $k==4 ) {		print "</tr><tr>\n";	}
			print "<td valign=top><table border=0>\n";
		}

		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist2[$k][0]</td></tr>\n";
							# tg{E_[
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist2[$k][1][1]}+1, " nowrap>$templist2[$k][1][0]</td>\n";
		for ( $l=0 ; $l <= $#{$templist2[$k][1][1]} ; $l++ ) {
			if ( $l != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist2[$k][1][1][$l]</td></tr>\n";
			$j++ ;
		}
	print "</table></td>\n";

	print "<tr><td><button type=submit name=reset$i value=1>reset</td></tr>\n";
	print "<tr><td colspan=3><hr></td></tr>\n";
	&clear_prog_empyrean_list();

	$i = 4 ;						# GSis
	&def_prog_ergon_list();
	@templist3 = split( /\//, $progresss[$i] );
	@templist2 = @prog_ergon_list ;
	print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
	print "<tr><td valign=top><table border=0>\n";
		$j = 1 ;					# GSEF|
		print "<tr><td bgcolor=$indexcolor nowrap>$templist2[$j][0]</td>\n";
		$fstr = "progress" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $l ( 0..$#{$templist2[$j]} ){
			print "<option value=$l";
			if( $templist3[$j-1] == $l ){	print " selected";	}
			print ">" ;
			if ($l ) {			print "$joblist[ $l+19 ]" ;	}
			print "</option>";
		}
		print "</td></tr>\n";
	print "</table></td></tr>\n";

	$j ++ ;						# NGXg
	print "<tr><td bgcolor=$indexcolor colspan=3 nowrap>$templist2[2][0]</td></tr>\n";
							# '̉F͙R<br>NCGZX',
		@templist21 = @{$templist2[2][1]} ;
		print "<tr><td valign=top><table border=0>\n";
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
			print "<tr><td bgcolor=$indexcolor nowrap>$templist21[1][0]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist21[1][1]</td></tr>\n";
			$j++ ;
		print "</table></td></tr>\n";
		print "<tr><td valign=top><table border=0>\n";
							# '\[}̌<br>O',
		for ( $k=2 ; $k <= 3 ; $k++ ) {
			@templist21 = @{$templist2[2][$k]} ;
			print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
			for ( $l=1 ; $l <= 3; $l++ ) {
				print "<tr><td bgcolor=$indexcolor nowrap>$templist21[$l]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><select name=$fstr>";
				if( $templist3[ $j-1 ] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option>";}
				else			{print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option>";}
				print "</td></tr>\n";
				$j++ ;
			}
			for ( $l=4 ; $l <= 5; $l++ ) {
				print "<tr><td bgcolor=$indexcolor nowrap>$templist21[$l][0]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
				print "<td> ^ $templist21[$l][1]</td></tr>\n";
				$j++ ;
			}
			print "</table></td>\n";
			print "<td valign=top><table border=0>\n";
		}
		$k=4 ;
			@templist21 = @{$templist2[2][$k]} ;
			print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
			for ( $l=1 ; $l <= 3; $l++ ) {
				print "<tr><td bgcolor=$indexcolor nowrap>$templist21[$l][0]</td>\n";
				$fstr = "progress" . '_' . $i . '_' . $j ;
				print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
				print "<td> ^ $templist21[$l][1]</td></tr>\n";
				$j++ ;
			}
			print "</table></td>\n";
		print "</tr>\n";

	print "<tr><td valign=top><table border=0>\n";
		@templist21 = @{$templist2[3]} ;
		print "<tr><td bgcolor=$indexcolor colspan=5 nowrap>$templist21[0]</td></tr>\n";
							# ݓS
		print "<tr><td bgcolor=$indexcolor rowspan=", $#{$templist21[1][1]}+1, " nowrap>$templist21[1][0]</td>\n";
		for ( $l=0 ; $l <= $#{$templist21[1][1]} ; $l++ ) {
			if ( $l != 0 ) {		print "<tr>" ;	}
			$fstr = "progress" . '_' . $i . '_' . $j ;
			print "<td><input type=text size=6 name=$fstr value=$templist3[$j-1]></td>\n" ;
			print "<td> ^ $templist21[1][1][$l]</td></tr>\n";
			$j++ ;
		}

	print "</table></td>\n";

	print "<tr><td><button type=submit name=reset$i value=1>reset</td></tr>\n";
	print "<tr><td colspan=3><hr></td></tr>\n";
	&clear_prog_ergon_list();

	print "</table>\n";

}

sub form_progress {
	$progress = '';

	$i = 0 ;						# CIjbNis
	&def_prog_aeonic_list();
	if ( !($FORM{"reset$i"}) ) {
		for ( $j=1; $j<=($#{$prog_aeonic_list[3]} +4) ; $j++) {
			$progress.=$FORM{"progress" . '_' . $i . '_' . $j };
			$progress.="/";
		}
	} else {
		@vanadiels = split(/,/,$vanadiel);
		@templist0 = split( /\//, $vanadiels[1] );
		$vanadiels[1] = '' ;
		for ( $j=1; $j<=$#{$prog_aeonic_list[3]} ; $j++) {
			@templist01 = split( //, $templist0[$j-1] ) ;
			for ( $k=0; $k<=$#templist01; $k++ ){
				if ( $templist01[$k] == 2 ) 	{	$templist01[$k] = 1 ;	}
				$vanadiels[1] .= $templist01[$k] ;
			}
			$vanadiels[1] .="/";
		}
		$vanadiels[1] .= $templist0[$j-1] . "/";
		$vanadiel = join( ',', @vanadiels ) ;
	}
	$progress.=",";
	&clear_prog_aeonic_list();

	$i = 1 ;						# bNis
	&def_prog_relic_list();
	if ( !($FORM{"reset$i"}) ) {
		for ( $j=1; $j<=19 ; $j++) {
			$progress.=$FORM{"progress" . '_' . $i . '_' . $j };
			$progress.="/";
		}
	}
	$progress.=",";
	&clear_prog_relic_list();

	$i = 2 ;						# ~VbNis
	&def_prog_mythic_list();
	if ( !($FORM{"reset$i"}) ) {
		for ( $j=1; $j<=33 ; $j++) {
			$progress.=$FORM{"progress" . '_' . $i . '_' . $j };
			$progress.="/";
		}
	}
	$progress.=",";
	&clear_prog_mythic_list();

	$i = 3 ;						# GsAis
	&def_prog_empyrean_list();
	if ( !($FORM{"reset$i"}) ) {
		for ( $j=1; $j<=17 ; $j++) {
			$progress.=$FORM{"progress" . '_' . $i . '_' . $j };
			$progress.="/";
		}
	}
	$progress.=",";
	&clear_prog_empyrean_list();

	$i = 4 ;						# GSis
	&def_prog_ergon_list();
	if ( !($FORM{"reset$i"}) ) {
		for ( $j=1; $j<=16 ; $j++) {
			$progress.=$FORM{"progress" . '_' . $i . '_' . $j };
			$progress.="/";
		}
	}
	$progress.=",";
	&clear_prog_ergon_list();
}

#  return TRUE for require
return 1;
