# GMR Rainbow management sub routine
#   rainbow.pl
#
#   ver 0.795 (2015/12/12)

# sub def_rainbow_list	̃Xg`
# sub clear_rainbow_list@̃Xg
# sub table_rainbow	ꗗ
# sub table_integrate	ꗗ
# sub menu_rainbow	OCj[
# sub form_rainbow	FORM


sub def_rainbow_list {
		require( 'geas.pl' );
		&def_geas_list();
	if($language ne "English"){
		# 
		@rainbowlist =(
		[ 
			[
				"tCSQbg",
				"Xm[SQbg",
				"u[YSQbg",
				'\CSQbg',
				"T_[SQbg",
				"ANASQbg",
				"CgSQbg",
				"VhESQbg",
				"tHVSQbg",
			],
			[
				"Ηւ̑",
				"Xւ̑",
				"ւ̑",
				"yւ̑",
				"ւ̑",
				"ւ̑",
				"ւ̑",
				"ŗւ̑",
				"ւ̑",
			],
			[
				"tCxg",
				"Xm[xg",
				"u[Yxg",
				'\Cxg',
				"T_[xg",
				"ANAxg",
				"Cgxg",
				"VhExg",
				"tHVxg",
			],
		 ],[
			[
				"t@CAX^bt",
				"ACXX^bt",
				"EBhX^bt",
				"A[XX^bt",
				"T_[X^bt",
				"EH[^X^bt",
				"CgX^bt",
				"_[NX^bt",
				"C_X^bt",
			],
			[
				"oJX^bt",
				"ANBX^bt",
				"AEX^[X^bt",
				"eX^bt",
				"Ws^[X^bt",
				"lv`X^bt",
				"A|X^bt",
				"v[gX^bt",
				"`gX^bt",
			],
		 ]
		);

		# h
		@elementalist =(
			"SQbg",
			"",
			"xg",
		);
		# 
		@elementwlist =(
			"NQ",
			"HQ",
		);
		# 
		@elementlist =(
			"",
			"X",
			"",
			"y",
			"",
			"",
			"",
			"",
			"",
		);

		# 
		@integrate_equiplist =(
		[	'XL',
			[ 	[ '퓬XLgN',	5,	],
					'Ro^ggN',
					$geas_list[5][28][2][2],
					$geas_list[5][29][2][2],
					$geas_list[5][30][2][2],
					$geas_list[5][31][2][2],
					$geas_list[5][32][2][2],
					$geas_list[5][33][2][2],
					$geas_list[5][34][2][2],
			],
			[ 	[ '@XLgN',	5,	],
					'CJ^[gN',
					$geas_list[5][35][2][2],
					$geas_list[5][36][2][2],
					$geas_list[5][37][2][2],
		],	],
		);
	}
	else {
		require('englishlist.pl');
		&def_rainbow_list_e;
	}
	@equip_request = (
		'',	# 0:ǂł
		'~',	# 1:~
		'',	# 2:Ă
		'',	# 3:I
	);
}

sub clear_rainbow_list {
	@rainbowalist =();
	@elementalist =();
	@elementwlist =();
	@elementlist =();
	@integrate_equiplist =();
	@equip_request = ();
}

sub table_rainbow {
	&def_rainbow_list();

	&th_bgn(3) ;

	$i=0;			# h
	$listlength[$i] = $#elementalist +1 ;
	for($j=0;$j<$listlength[$i];$j++) {
		@templist = @{$rainbowlist[$i][$j]};
		$itemnum = $#templist+1;
		$listlength2[$i][$j] = $itemnum;
		$str1 .= "<TH colspan=$itemnum>$elementalist[$j]</TH>\n";
		for( $k=0; $k<$itemnum; $k++ ){
			$str2 .= "<TH>$elementlist[$k]</TH>\n";
			$str3 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist[$k]</TH>\n";
		}
	}

	$i=1;			# 
	$listlength[$i] = $#elementwlist +1 ;
	for($j=0;$j<$listlength[$i];$j++) {
		@templist = @{$rainbowlist[$i][$j]};
		$itemnum = $#templist+1;
		$listlength2[$i][$j] = $itemnum;
		$str1 .= "<TH colspan=$itemnum>$elementwlist[$j]</TH>\n";
		for( $k=0; $k<$itemnum; $k++ ){
			$str2 .= "<TH>$elementlist[$k]</TH>\n";
			$str3 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist[$k]</TH>\n";
		}
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@rainbows  = split(/,/,$rainbow);
		@elementas = split(/\//,$rainbows[0]);
		@elementws = split(/\//,$rainbows[1]);

		&tr_bgn ;
		
		$i=0;			# h
		for ( $j=0; $j<$listlength[$i] ; $j++ ){
			@templist = split( //, $elementas[$j] );
			for ( $k=0; $k<$listlength2[$i][$j]; $k++ ){
				print "<TD align=center>$equip_request[ $templist[ $k ] ]</TD>\n";
			}
		}

		$i=1;			# 
		for ( $j=0; $j<$listlength[$i] ; $j++ ){
			@templist = split( //, $elementws[$j] );
			for ( $k=0; $k<$listlength2[$i][$j]; $k++ ){
				print "<TD align=center>$equip_request[ $templist[ $k ] ]</TD>\n";
			}
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub table_integrate {
	&def_rainbow_list();

	&th_bgn(4) ;

	$i=2;			# 
	$listlength[$i] = $#integrate_equiplist+1 ;
	for ( $j=0 ; $j<$listlength[$i] ; $j++ ) {
		$itemnum = 0 ;
		@templist = @{$integrate_equiplist[$j]};
		$itemnum2 = $#templist ;
		$listlength2[$i][$j] = $itemnum2 ;
		for( $k=1; $k<=$itemnum2 ; $k++ ){
			@templist2 = @{$templist[$k]};
			$itemnum3 = $#templist2 ;
			$listlength3[$i][$j][$k] = $itemnum3 ;
			$itemnum += $itemnum3 ;
			$str2 .= "<TH colspan=$itemnum3>$templist2[0][0]</TH>\n";
			$str3 .= "<TH colspan=$itemnum3>$equipslot[ $templist2[0][1] ]</TH>\n";
			for( $l=1; $l<=$itemnum3 ; $l++ ){
				$str4 .= "<TH style=\"writing-mode: tb-rl; word-break:break-all\">$templist2[$l]</TH>\n";
			}
		}
		$str1 .= "<TH colspan=$itemnum>$templist[0]</TH>\n";
	}

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@rainbows  = split(/,/,$rainbow);
		@integrates = split(/\//,$rainbows[2]);
		@geass  = split(/,/,$geas);
#			16 + 5x7 + 1 + 22 + 5x11 = 129 
		@geass129 = split( /\//, $geass[129] );

		&tr_bgn ;
		
		$i=2;			# 
		for ( $j=0; $j<$listlength[$i] ; $j++ ){
			@templist = split( //, $integrates[$j] );
			for ( $k=0; $k<$listlength2[$i][$j]; $k++ ){
				print "<TD align=center>$equip_request[ $templist[ $k ] ]</TD>\n";
				if ( ( $j == 0 ) and ( $k == 0 ) ) {
					foreach $l ( 27..33 ) {
						@geass3 = split( //, $geass129[$l] );
						print "<TD align=center>$equip_request[ $geass3[ 1 ] ]</TD>\n";
					}
				} elsif ( ( $j == 0 ) and ( $k == 1 ) ) {
					foreach $l ( 34..36 ) {
						@geass3 = split( //, $geass129[$l] );
						print "<TD align=center>$equip_request[ $geass3[ 1 ] ]</TD>\n";
					}
				}
			}
		}

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_rainbow {
	&def_rainbow_list();

	@rainbows = split(/,/,$rainbow);
	@elementas = split(/\//,$rainbows[0]);
	@elementws = split(/\//,$rainbows[1]);
	@integrates = split(/\//,$rainbows[2]);

	print "<input type=hidden name=all value=rainbow>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";
	print "<table border=0>\n";

	$i=0;			# h
	@templist = @elementalist;
	$itemnum = $#templist+1;
	for( $j=0; $j<$itemnum; $j++ ){
		@templist2 = @{$rainbowlist[$i][$j]};
		@templist3 = split( //, $elementas[$j] );
		print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist[$j]</th></tr>\n";
		for($k=0;$k<=$#elementlist ;$k++){
			$fstr = "rainbow" . '_' . $i . '_' . $j . '_' . $k ;
			print "<tr><td bgcolor=$indexcolor nowrap>$elementlist[$k]</td>\n";
			print "<td nowrap>$templist2[$k]</td><td><select name=$fstr>";
			foreach $l ( 0..$#equip_request ){
				if( $templist3[$k] == $l ){
					print "<option value=$l selected>$equip_request[$l]</option>";	}
				else{	print "<option value=$l>$equip_request[$l]</option>";		}
			}
		}
		print "<tr><td colspan=3>&nbsp;</td></tr>\n";
		print "</table></td><td valign=top><table border=0>\n";
	}
	print "</table></td></tr><tr><td colspan=3><hr></td></tr>\n";
		
	print "<tr><td valign=top><table border=0>\n";
	$i=1;			# 
	@templist = @elementwlist;
	$itemnum = $#templist+1;
	for( $j=0; $j<$itemnum; $j++ ){
		@templist2 = @{$rainbowlist[$i][$j]};
		@templist3 = split( //, $elementws[$j] );
		print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist[$j]</th></tr>\n";
		for($k=0;$k<=$#elementlist ;$k++){
			$fstr = "rainbow" . '_' . $i . '_' . $j . '_' . $k ;
			print "<tr><td bgcolor=$indexcolor nowrap>$elementlist[$k]</td>\n";
			print "<td nowrap>$templist2[$k]</td><td><select name=$fstr>";
			foreach $l ( 0..$#equip_request ){
				if( $templist3[$k] == $l ){
					print "<option value=$l selected>$equip_request[$l]</option>";	}
				else{	print "<option value=$l>$equip_request[$l]</option>";		}
			}
		}
		print "<tr><td colspan=3>&nbsp;</td></tr>\n";
		print "</table></td><td valign=top><table border=0>\n";
	}
	print "</table></td></tr><tr><td colspan=3><hr></td></tr>\n";
		
	$i=2;			# 
	@templist = @integrate_equiplist ;
	$itemnum = $#templist+1;
	for( $j=0; $j<$itemnum; $j++ ){
		@templist2 = @{$integrate_equiplist[$j]};
		$itemnum2 = $#templist2 ;
		print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[0]</th></tr>\n";
		@templist3 = split( //, $integrates[$j] );
		print "<tr><td valign=top><table border=0>\n";
		for($k=1;$k<=$itemnum2 ;$k++){
			@templist4 = @{$templist2[$k]};
			print "<tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist4[0][0]</th></tr>\n";
			$fstr = "rainbow" . '_' . $i . '_' . $j . '_' . $k ;
			print "<tr><td bgcolor=$indexcolor nowrap>$equipslot[ $templist4[0][1] ]</td>\n";
			print "<td nowrap>$templist4[1]</td><td><select name=$fstr>";
			foreach $l ( 0..$#equip_request ){
				if( $templist3[$k-1] == $l ){
					print "<option value=$l selected>$equip_request[$l]</option>";	}
				else{	print "<option value=$l>$equip_request[$l]</option>";		}
			}
			print "<tr><td colspan=3>&nbsp;</td></tr>\n";
			print "</table></td><td valign=top><table border=0>\n";
		}
	}

	print "</table></td></tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_rainbow_list();
}

sub form_rainbow {
	&def_rainbow_list();

	$rainbow = '';
	$i=0;			# h
	for($j=0;$j<=$#elementalist ;$j++){
		for($k=0;$k<=$#elementlist ;$k++){
			$rainbow.=$FORM{"rainbow" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
		}
		$rainbow.="/";
	}
	$rainbow.=",";

	$i=1;			# 
	for($j=0;$j<=$#elementwlist ;$j++){
		for($k=0;$k<=$#elementlist ;$k++){
			$rainbow.=$FORM{"rainbow" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
		}
		$rainbow.="/";
	}
	$rainbow.=",";

	$i=2;			# 
	for($j=0;$j<=$#integrate_equiplist ;$j++){
		@templist = @{$integrate_equiplist[$j]} ;
		for($k=1;$k<=$#templist ;$k++){
			$rainbow.=$FORM{"rainbow" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
		}
		$rainbow.="/";
	}
	$rainbow.=",";

	&clear_rainbow_list();
}

#  return TRUE for require
return 1;
