# GMR Synthesis management sub routine
#   synth.pl
#
#   ver 0.813 (2018/05/14)

# sub def_synth_list		֘ÃXg`
# sub clear_synth_list		֘ÃXg
# sub table_synth		֘Aꗗ
# sub menu_synth		֘AOCj[
# sub form_synth		֘AFORM
# sub form_synth_sub		֘AFORḾiTuj


sub def_synth_list {
	if($language ne "English"){
		# 
		@synth_list =(
			['b','ٖD','Bp','؍H','','v׍H','׍H','ނ','',],
			[	'ꍇ',
				[	# b
					'򉻋',	'd',	'V[eBO',	'`F[[N',
				],[	# ٖD
					'򉻕z',		'dz',		'XsjO',		'tb`O',
				],[	# Bp
					'Aj}',		'򉻘Bp',	'dBp',	'g`[V',	'RJNV',	'CAgP~Xg',
				],[	# ؍H
					'򉻖؍ލ',	'd؍ލ',	'o[WbN',	'{g[J[',
				],[	# 
					'򉻋M',	'dM',	'NbN[J[',	'V[eBO',	'`F[[N',
				],[	# v׍H
					'򉻔v',	'dv',	'^jO',
				],[	# ׍H
					'򉻍ލ',	'dލ',	't@CO',
				],[	# ނ
					'tbOtBbVO',	'T[yg̓`',		'jނ',
				],[	# 
					'',		'ˍ',		's',		'peBVG',
			],	],
			[	'El',
				[	# b
					'ϔM~g',		'btGv',	'btgN',
				],[	# ٖD
					'gዾ',		'ٖDtGv',	'ٖDtgN',
				],[	# Bp
					'JhDPEX',	'BptGv',	'BptgN',
				],[	# ؍H
					'؍HR',		'ؒtGv',	'ؒtgN',
				],[	# 
					'Ռዾ',		'tGv',	'tgN',
				],[	# v׍H
					'vH',		'v׍HtGv',	'v׍HtgN',
				],[	# ׍H
					'hoዾ',		'tGv',	'tgN',
				],[	# ނ
					'EG[_[',		'tGv',	'tBbVgN',
				],[	# 
					'qXq',		'tGv',	'tgN',	'',
			],	],
			[	'Elxi',
				[	# b
					'}CX^[Ar',	'btTC{[h',	'bJE^[',	'Xg[n[X',
				],[	# ٖD
					'т̃^sXg[',		'DHTC{[h',		'ٖDJE^[',	'XsjOzC[',
				],[	# Bp
					'Ghʖ{',		'BpTC{[h',	'BpJE^[',	'ArbN',
				],[	# ؍H
					'h[COfXN',	'؍HTC{[h',		'؍HJE^[',	'J[y^[Lbg',
				],[	# 
					'҂̉',			'tTC{[h',	'JE^[',	'WFXR[v',
				],[	# v׍H
					'̗r̖є',		'vHTC{[h',		'v׍HJE^[',	'nChXgb`',
				],[	# ׍H
					'hKK̉',		'HTC{[h',		'׍HJE^[',	'׍HZbg',
				],[	# ނ
					'|Cgn}',		'tTC{[h',		'tJE^[',	'ԃZbg',
				],[	# 
					'Rhu[',	'tTC{[h',	'JE^[',	'V`[|bg',
			],	],
			[	'GXJbV',	],
		);

		@eschuteon_list =(	'',	'AXsX',	'GL',	'XNgD',	'V[h',	'GXJbV',	);

	}
	else {
		require('englishlist.pl');
		&def_synth_list_e;
	}
}

sub clear_synth_list {
	@synth_list =();
}

sub table_synth {	# ֘Aꗗ
	&def_synth_list();

	&form_synth_sub();

	&th_bgn(3) ;

	$str2 .= "<TH rowspan=2>XL</TH>\n";
	$itemnum = 1;
	for($j=1; $j<$#synth_list ; $j++) {
		@templist = @{$synth_list[$j]} ;
		@templist2 = @{$templist[$synth_kind+1]} ;
		$listlength[$j] = $#templist2 +1 ;
		$itemnum += $listlength[$j] ;
		$str2 .= "<TH colspan=$listlength[$j]>$templist[0]</TH>\n";
		for($k=0 ; $k<$listlength[$j] ; $k++) {
			$str3 .= "<TH>$templist2[$k]</TH>\n";
	}	}
	$itemnum++ ;
	$str2 .= "<TH rowspan=2>$synth_list[$j][0]</TH>\n";

	$str1 .= "<TH colspan=$itemnum>$synth_list[0][$synth_kind]</TH>\n";

	&th_end ;
	
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;

		@synths  = split(/,/,$synth);
		for($j=0;$j<$synth_kind ;$j++) {
			shift( @synths ) ;
		}

		&tr_bgn ;

		print "<TD align=center>$prod[$synth_kind]</TD>\n";
		
		$temp = shift( @synths ) ;
		@templist = split( /\//, $temp);
		for ( $j=0 ; $j<($#synth_list-1) ; $j++ ){
			@templist2 = split( //, $templist[$j] );
			for ( $k=0 ; $k<$listlength[$j+1] ; $k++ ){
				print "<TD align=center>$maru[$templist2[ $k ]]</TD>\n";
		}	}
		print "<TD align=center>$eschuteon_list[$templist[ $j ]]</TD>\n";

		&tr_end ;
	}
	print "</table>\n";
}

sub menu_synth {
	&def_synth_list();

	@synths = split(/,/,$synth);
	@templist = @synth_list ;
	$listlength = $#templist +1 ;

	print "<input type=hidden name=all value=synth>";
	print "<table border=0><tr><td colspan=3><hr></td></tr><tr><td valign=top>\n";

	@templist2 = @{$templist[0]} ;
	$listlength2 = $#templist2+1 ;
	for($i=0 ; $i<$listlength2 ; $i++){
		$temp = shift( @synths ) ;
		@templist4 = split( /\//, $temp);
		print "<table border=0><tr><th colspan=3 bgcolor=$indexcolor nowrap>$templist2[$i]</th></tr>\n";
		for($j=1; $j<($listlength-1) ; $j++ ) {
			@templist3 = @{$templist[$j][$i+1]} ;
			$itemnum = $#templist3+1 ; 
			@templist5 = split( //, $templist4[$j-1]);
			print "<tr><td rowspan=$itemnum bgcolor=$indexcolor>$templist[$j][0]</td>\n";
			for ( $k=0; $k<$itemnum ; $k++ ){
				if ( $k != 0 ) { print "<tr>" ; }
				print "<td nowrap>$templist3[$k]</td>\n";
				$fstr = "synth" . '_' . $i . '_' . $j . '_' . $k ;
				print "<td><select name=$fstr>";
				if( $templist5[$k] ) {print "<option value=0>$maru[0]</option><option selected value=1>$maru[1]</option></td></tr>\n";}
				else		     {print "<option selected value=0>$maru[0]</option><option value=1>$maru[1]</option></td></tr>\n";}
			}
		}
		print "<tr><td bgcolor=$indexcolor>$templist[$j][0]</td>\n";
		$fstr = "synth" . '_' . $i . '_' . $j ;
		print "<td><select name=$fstr>";
		foreach $k ( 0..$#eschuteon_list ){
			if( $templist4[$j-1] == $k ){
				print "<option value=$k selected>$eschuteon_list[$k]</option>\n";	}
			else{	print "<option value=$k>$eschuteon_list[$k]</option>\n";		}
		}
		print "</td></tr>\n";

		print "<tr><td colspan=3>&nbsp;</td></tr></table></td><td valign=top>\n";
		if ( $i%3 == 2 ) {
			print "</tr><tr><td valign=top>\n";
		}
	}
	print "</tr><tr><td colspan=3><hr></td></tr></table>\n";

	&clear_synth_list();
}

sub form_synth {
	&def_synth_list();

	$synth = '';
	@templist = @synth_list ;
	$listlength = $#templist ;
	@templist2 = @{$templist[0]} ;
	$listlength2 = $#templist2+1 ;
	for ( $i=0; $i<$listlength2 ; $i++ ) {
		for ( $j=1; $j<$listlength ; $j++) {
			@templist3 = @{$templist[$j][$i+1]} ;
			$listlength3 = $#templist3+1 ;
			for ( $k=0; $k<=$listlength3 ; $k++ ){
				$synth.=$FORM{"synth" . '_' . "$i" . '_' . "$j" . '_' . "$k"};
			}
			$synth.="/";
		}	
		$synth.=$FORM{"synth" . '_' . "$i" . '_' . "$j"};
		$synth.="/";
		$synth.=",";
	}

	&clear_synth_list();
}

sub form_synth_sub {
	$synth_kind = $FORM{"synth_kind"};
}

#  return TRUE for require
return 1;
