# GMR table sub routine
# ver 0.796 (2015/12/24)
#
#table_job :Wu\
#table_prodFXL\
#table_stat:Xe[^X\
#table_limit:Vv\
#table_limit2:ACR\
#table_full2:t\
#table_full3:tQ\
#table_level:xT[`\
#table_limit3:ACR(V)\			
#table_history:\

sub table_job {
	&th_bgn(1,1) ;
 
	$str1 .= "<TH width=10%>$index[7]</TH>";
	for ($j=0;$j<$job_max;$j++){
		$jn=$j+38;
		if ( $level != 0 ) {
			$str1 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&sort=$jn&mode=r'>$joblist[$j]</a></TH>";
		} else {
			$str1 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&jobequip_kind=$j&function=table_jobequip'>$joblist[$j]</a></TH>";
		}
	}

	&th_end ;
	
	foreach $i (@all){
		
		&split_GMSdata( $i, 'all') ;

		@elist = split(/\,/, $prod[10]);
		@relicset = split( /\//, $elist[10] );	# Relic
		@empiset = split( /\//, $elist[15] );	# Empi
		@afset = split( /\//, $elist[17] );	# AF

		&tr_bgn ;
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			
			if($lev[$mainjob]<10){
				$main_level="0$lev[$mainjob]";
			} else {
				$main_level=$lev[$mainjob];
			}
			
			
			if($supportjob <99){
				$mod_level=int($lev[$mainjob]/2);
				if($mod_level==0){$mod_level=1;}
				if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
				
				if($mod_level<10){
					$mod_level="0$mod_level";
				}
				print "<TD align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
			} else {
				print "<TD align=center>$joblist[$mainjob]$main_level</TD>";
			}
			
			
				for ($j=0;$j<$job_max;$j++){
					$bg="";
			
					if($level ==1){
						$bg=" bgcolor=$color[int($lev[$j]/10)]";
					} else {
						if($j == $mainjob){$bg=" bgcolor=$maincolor";}
						if($j == $supportjob){$bg=" bgcolor=$supportcolor";}
						if( ($relicset[$j] == '66666' ) and ($empiset[$j] == '66666' ) and ($afset[$j] == '66666' ) )
							{$bg=" bgcolor=$are119color";}
					}
					
					print "<TD$bg align=center>$lev[$j]</TD>";
			}
		} else {
			for ($j=0;$j<$job_max+1;$j++){
				print"<TD align=center>-</TD>";
			}
		}
		
		&tr_end ;
	}
	
	print "</table>";
}

sub table_prod{
	&th_bgn(1,1) ;
 
	for ($j=0;$j<$prod_max-1;$j++){
		$str1 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&synth_kind=$j&function=table_synth'>$prodlist[$j]</a></TH>\n";
	}
	$j=$prod_max-1;
	$jn=$j+22;
	$str1 .= "<TH width=2%><a href='$script?limit=3&level=$level'>$prodlist[$j]</a></TH>";

	&th_end ;
	
	foreach $i (@all){
		
		&split_GMSdata( $i, 'all') ;

		@prod_r = split(/,/,$etc[1]);

		&tr_bgn ;
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			for ($j=0;$j<$prod_max-1;$j++){
				$bg=" bgcolor=$color[$prod_r[$j]]";
				print "<TD$bg align=center title='$ranklist[$prod_r[$j]]'>$prod[$j]<BR>($ranklist[$prod_r[$j]])</TD>";
			}
			($syn,@synt) = split( /\,/, $prod[9]);
			$temprank = sprintf( "%d", $syn / 10 );
			$bg=" bgcolor=$color[$temprank]";
			print "<TD$bg align=center title='$ranklist[$temprank]'>$syn<BR>($ranklist[$temprank])</TD>";
		} else {
			for ($j=0;$j<$prod_max;$j++){
				print"<TD align=center>-</TD>";
			}
		}
		
		&tr_end ;
	}
	print "</table>";
}

sub table_stat{
	&th_bgn(1,1) ;
 
	$str1 .= "<TH width=10%><a href='$script?limit=$limit&level=$level&sort=4'>$index[3]</a></TH><TH width=5%><a href='$script?limit=$limit&level=$level&sort=5'>$index[4]</a></TH><TH width=5%><a href='$script?limit=$limit&level=$level&sort=14&mode=r'>$index[5]</a></TH><TH width=10%><a href='$script?limit=$limit&level=$level&sort=18&mode=r'>$index[6]</a></TH>";

	&th_end ;
	
	foreach $i (@all){
		
		&split_GMSdata( $i, 'all') ;

		&tr_bgn ;
		
		if($point eq ""){$point=0;}
		
		if($iconuse eq "yes"){
			print "<TD align=center><img src=$icondir$facelist[$race]$facetypelist[$etc[0]]\.gif></TD>";
		} else {
			print "<TD align=center>$racelist[$race]</TD>";
		}
		
		print "<TD align=center>$relmlist[$relm]</TD><TD align=right>$point</TD><TD align=center>$mrank</TD>";
		
		&tr_end ;
	}
	print "</table>";
}

sub table_limit {
	&th_bgn(1,1) ;
 
	$str1 .= "<TH width=10%>$index[7]</TH><TH>$index[9]</TH>";

	&th_end ;
	
	foreach $i (@all){

		&split_GMSdata( $i, 'all') ;
	
		&tr_bgn ;
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			
			if($lev[$mainjob]<10){
				$main_level="0$lev[$mainjob]";
			} else {
				$main_level=$lev[$mainjob];
			}
			
			if($supportjob <99){
				$mod_level=int($lev[$mainjob]/2);
				if($mod_level==0){$mod_level=1;}
				if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
			
				if($mod_level<10){
					$mod_level="0$mod_level";
				}
				print "<TD align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
			} else {
				print "<TD align=center>$joblist[$mainjob]$main_level</TD>";
			}
			
		} else {
			print"<TD align=center>-</TD>";
		}
		print "<TD>$comment</TD>";
		
		&tr_end ;
	}
	print "</table>";
}

sub table_limit2 {
	&th_bgn(1,1,1) ;
 
	$str1 .= "<TH width=10%>$index[7]</TH><TH>$index[9]</TH>";
	
	&th_end ;
	
	foreach $i (@all){
	
		&split_GMSdata( $i, 'all') ;
	
		&tr_bgn ;
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			
			if($lev[$mainjob]<10){
				$main_level="0$lev[$mainjob]";
			} else {
				$main_level=$lev[$mainjob];
			}
			
			if($supportjob <99){
				$mod_level=int($lev[$mainjob]/2);
				if($mod_level==0){$mod_level=1;}
				if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
				
				if($mod_level<10){
					$mod_level="0$mod_level";
				}
				print "<TD align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
			} else {
				print "<TD align=center>$joblist[$mainjob]$main_level</TD>";
			}
			
		} else {
			print"<TD align=center>-</TD>";
		}
		print "<TD>$comment</TD>";
		
		&tr_end ;
	}
	print "</table>";
}

sub table_full2{
	
	if($job_max>$prod_max){
		$maxcell=$job_max;
	} else {
		$maxcell=$prod_max;
	}
	
	&th_bgn(2,1) ;
 
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=4'>$index[3]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=5'>$index[4]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=14&mode=r'>$index[5]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=18&mode=r'>$index[6]</a></TH>\n";
	$str1 .= "<TH width=10% rowspan=2>$index[7]</TH>\n";
	for ($j=0;$j<$maxcell;$j++){
		$jn=$j+38;
		if($j<$job_max){
			$str1 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&sort=$jn&mode=r'>$joblist[$j]</a></TH>";
		} else {
			$str1 .= "<TH> </TH>";
		}
	}
	
	for ($j=0;$j<$maxcell;$j++){
		$jn=$j+22;
		if($j<$prod_max){
			$str2 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&sort=$jn&mode=r'>$prodlist[$j]</a></TH>";
		} else {
			$str2 .= "<TH> </TH>";
		}
	}

	&th_end ;
	
	foreach $i (@all){
		
		&split_GMSdata( $i, 'all') ;
		@prod_r = split(/,/,$etc[1]);
		@elist = split(/\,/, $prod[10]);
		@relicset = split( /\//, $elist[10] );	# Relic
		@empiset = split( /\//, $elist[15] );	# Empi
		@afset = split( /\//, $elist[17] );	# AF
	
		&tr_bgn(2) ;
		
		if($point eq ""){$point=0;}
		
		if($iconuse eq "yes"){
			print "<TD align=center rowspan=2><img src=$icondir$facelist[$race]$facetypelist[$etc[0]]\.gif></TD>";
		} else {
			print "<TD align=center rowspan=2>$racelist[$race]</TD>";
		}
		
		print "<TD rowspan=2 align=center>$relmlist[$relm]</TD><TD align=right rowspan=2>$point</TD><TD rowspan=2 align=center>$mrank</TD>";
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			
			if($lev[$mainjob]<10){
				$main_level="0$lev[$mainjob]";
			} else {
				$main_level=$lev[$mainjob];
			}
			
			
			if($supportjob <99){
				$mod_level=int($lev[$mainjob]/2);
				if($mod_level==0){$mod_level=1;}
				if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
				
				if($mod_level<10){
					$mod_level="0$mod_level";
				}
				print "<TD rowspan=2 align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
			} else {
				print "<TD rowspan=2 align=center>$joblist[$mainjob]$main_level</TD>";
			}
			
				for ($j=0;$j<$maxcell;$j++){
					$bg="";
					if($j<$job_max){
					if($level ==1){
						$bg=" bgcolor=$color[int($lev[$j]/10)]";
					} else {
						if($j == $mainjob){$bg=" bgcolor=$maincolor";}
						if($j == $supportjob){$bg=" bgcolor=$supportcolor";}
						if( ($relicset[$j] == '66666' ) and ($empiset[$j] == '66666' ) and ($afset[$j] == '66666' ) )
							{$bg=" bgcolor=$are119color";}
					}
					
					print "<TD$bg align=center>$lev[$j]</TD>";
					} else {
						print "<TD align=center>@</TD>";
					}
				}
		} else {
			for ($j=0;$j<$maxcell+1;$j++){
				print"<TD align=center>-</TD>";
			}
		}

		&tr_end ;

		print "<TR bgcolor='$skillcolor'>";
		
		if(($anon ne "on") || ($anon_mode != 1 )){
		
			for ($j=0;$j<$maxcell;$j++){
				if($j<$prod_max-1){
					$bg=" bgcolor=$color[$prod_r[$j]]";
					print "<TD$bg align=center title='$ranklist[$prod_r[$j]]'>$prod[$j]</TD>";
				} elsif ( $j == $prod_max-1 ){
					($syn,@synt)=split(/\,/, $prod[9] );
					$temprank = sprintf( "%d", $syn / 10 );
					$bg=" bgcolor=$color[$temprank]";
					print "<TD$bg align=center title='$ranklist[$temprank]'>$syn</TD>";
				} else {
					print "<TD align=center>@</TD>";
				}
			}
		} else {
			for ($j=0;$j<$maxcell+1;$j++){
				print"<TD align=center>-</TD>";
			}
		}
		
		print "</TR>";
	}
	print "</table>";
}

sub table_full3{
	require('skillrank.pl');

	if($job_max>$prod_max){
		$maxcell=$job_max;
	} else {
		$maxcell=$prod_max;
	}
	
	&th_bgn(3,1) ;
 
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=4'>$index[3]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=5'>$index[4]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=14&mode=r'>$index[5]</a></TH>\n";
	$str1 .= "<TH width=5% rowspan=2><a href='$script?limit=$limit&level=$level&sort=18&mode=r'>$index[6]</a></TH>\n";
	$str1 .= "<TH width=10% rowspan=2>$index[7]</TH>\n";
	for ($j=0;$j<$maxcell;$j++){
		$jn=$j+38;
		if($j<$job_max){
			$str1 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&sort=$jn&mode=r'>$joblist[$j]</a></TH>";
		} else {
			$str1 .= "<TH> </TH>";
		}
	}
	
	for ($j=0;$j<$maxcell;$j++){
		$jn=$j+22;
	    if($j<$prod_max){
	        	$str2 .= "<TH width=2%><a href='$script?limit=$limit&level=$level&sort=$jn&mode=r'>$prodlist[$j]</a></TH>";
	    } elsif ($j == $prod_max) {
	        	$str2 .= "<TH colspan=3>Next Exp</TH><TH colspan=".($maxcell - $prod_max - 3).">Total Exp.</TH>";
	    }
	}
	
	$str3 .= "<TH colspan=".($job_max+5).">$index[9]</TH>";

	&th_end ;
	
	foreach $i (@all){	
		
		&split_GMSdata( $i, 'all') ;

		@prod_r = split(/,/,$etc[1]);
		@elist = split(/\,/, $prod[10]);
		@relicset = split( /\//, $elist[10] );	# Relic
		@empiset = split( /\//, $elist[15] );	# Empi
		@afset = split( /\//, $elist[17] );	# AF
	
		&tr_bgn(3) ;
		
		if($point eq ""){$point=0;}
		
		if($iconuse eq "yes"){
			print "<TD rowspan=2 align=center><img src=$icondir$facelist[$race]$facetypelist[$etc[0]]\.gif></TD>";
		} else {
			print "<TD rowspan=2 align=center>$racelist[$race]</TD>";
		}
		
		print "<TD rowspan=2 align=center>$relmlist[$relm]</TD><TD align=right rowspan=2>$point</TD><TD rowspan=2 align=center>$mrank</TD>";
		
		if(($anon ne "on") || ($anon_mode != 1 )){
			
			if($lev[$mainjob]<10){
				$main_level="0$lev[$mainjob]";
			} else {
				$main_level=$lev[$mainjob];
			}
			
			
			if($supportjob <99){
				$mod_level=int($lev[$mainjob]/2);
				if($mod_level==0){$mod_level=1;}
				if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
			
				if($mod_level<10){
					$mod_level="0$mod_level";
				}
				print "<TD rowspan=2 align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
			} else {
				print "<TD rowspan=2 align=center>$joblist[$mainjob]$main_level</TD>";
			}
			$totalexp = 0;
			
			for ($j=0;$j<$maxcell;$j++){
				$bg="";
				if($j<$job_max){
				$totalexp += expr_exp($lev[$j]);
				if($level ==1){
					$bg=" bgcolor=$color[int($lev[$j]/10)]";
				} else {
					if($j == $mainjob){$bg=" bgcolor=$maincolor";}
					if($j == $supportjob){$bg=" bgcolor=$supportcolor";}
						if( ($relicset[$j] == '66666' ) and ($empiset[$j] == '66666' ) and ($afset[$j] == '66666' ) )
							{$bg=" bgcolor=$are119color";}
				}
				
				print "<TD$bg align=center>$lev[$j]</TD>";
				} else {
					print "<TD align=center>@</TD>";
				}
			}
		} else {
			for ($j=0;$j<$maxcell+1;$j++){
				print"<TD align=center>-</TD>";
			}
		}

		&tr_end ;

		print "<TR bgcolor='$skillcolor'>";
		
		if(($anon ne "on") || ($anon_mode != 1 )){
		
			@mp=split(/,/,$prod[13]);
			$mpointexp = pop( @mp ) *10000;
		
			if($mpointexp>0){
				if($mexpmode == 1){
					$totalexp=$totalexp+$mpointexp;
				} else {
					$totalexp="$totalexp+".$mpointexp;
				}
			}
		
		
		    for ($j=0;$j<$maxcell;$j++){
		        if($j<$prod_max-1){
					$bg=" bgcolor=$color[$prod_r[$j]]";
					print "<TD$bg align=center title='$ranklist[$prod_r[$j]]'>$prod[$j]</TD>";
				} elsif ( $j == $prod_max-1 ){
					($syn,@synt)=split(/\,/, $prod[9] );
					$temprank = sprintf( "%d", $syn / 10 );
					$bg=" bgcolor=$color[$temprank]";
					print "<TD$bg align=center title='$ranklist[$temprank]'>$syn</TD>";
		        } elsif ($j == $prod_max) {
		            print "<TD colspan=3 align=right>".expr_needexp($lev[$mainjob])."&nbsp;</TD><TD colspan=".($maxcell - $prod_max - 3)." align=right>".$totalexp."&nbsp;</TD>";
		        }
		    }
		} else {
			for ($j=0;$j<$maxcell+1;$j++){
			print"<TD align=center>-</TD>";
			}
		}
		
		print "</TR>";
		
		print "<TR$bgn><TD colspan=".($job_max+5).">$comment</TD></TR>";
	}
	print "</table>";

}

sub table_level {
	$levels[0..99] = ();
	@bgnc = ();
	$maxlevel = 1;
	foreach $i (@all){
		&split_GMSdata( $i, 'all') ;
		for ($j=0;$j<$job_max;$j++){
			if (0 < $lev[$j]) {
				@leveljobs[0..$job_max] = split(/\t/, $levels[$lev[$j]]);
				$namel=substr($name,0,6). "..";
				$leveljobs[$j] .= "<a href='$script?function=profdetail&name=$name'>$namel</a><br>";
				$levels[$lev[$j]] = join("\t", @leveljobs);
				if ($name eq $c_name) {
					$bgn=" bgcolor=$mydata";
					$bgnc[$lev[$j]] = $bgn;
				}
				if ($lev[$j] > $maxlevel){
					$maxlevel = $lev[$j];
				}
			}
		}
	}
	if($maxlevel>99){$maxlevel=99;}
	print "<table cellpading=0 width=100% class=tbl>\n";
	if( ($maxlevel +1) % $c_max == 0){
		$count = 0;
	}
	else{
		$count = ( $c_max - ( ($maxlevel + 1) % $c_max ) ) % $c_max;
	}
	print "<TR bgcolor=$indexcolor><TH>LV</TH>";
	for ($j=0;$j<$job_max;$j++){
		print "<TH>$joblist[$j]</TH>";
	}
	print "</TR>\n";
	for ($lv=$maxlevel; $lv>1; $lv--) {
		if ($count == $c_max) {
			print "<TR bgcolor=$indexcolor><TH>LV</TH>";
			for ($j=0;$j<$job_max;$j++){
				print "<TH>$joblist[$j]</TH>";
			}
			print "</TR>\n";
			$count = 0;
		}
		if ($levels[$lv] eq "") {print "<tr></tr>\n";} else {
			$bgn = $bgnc[$lv]; 
			if ($bgn eq "") {$bgn = " bgcolor=$otherdata";}
			print "<TR$bgn><TD align=center>$lv</TD>";
			@leveljobs = split(/\t/, $levels[$lv]);
			for ($j=0;$j<$job_max;$j++){
				print "<td>$leveljobs[$j]</td>";
			}
			print "</tr>\n";
		}
		$count++;
	}
	print "</table>";
}

sub table_limit3 {
	
	$sort=16;
	$mode=r;
	&sort_table;
	
	&th_bgn(1,1,1) ;
 
	$str1 .= "<TH width=10%>$index[7]</TH><TH>$index[9]</TH>";
	
	&th_end ;
	
	foreach $i (@all){
		
		&split_GMSdata( $i, 'all') ;
	
		&tr_bgn ;
		
		if(($anon ne "on") || ($anon_mode != 1 )){
		
		if($lev[$mainjob]<10){
			$main_level="0$lev[$mainjob]";
		} else {
			$main_level=$lev[$mainjob];
		}
		
		if($supportjob <99){
			$mod_level=int($lev[$mainjob]/2);
			if($mod_level==0){$mod_level=1;}
			if($mod_level>$lev[$supportjob]){$mod_level=$lev[$supportjob];}
		
		if($mod_level<10){
			$mod_level="0$mod_level";
		}
			print "<TD align=center>$joblist[$mainjob]$main_level/$joblist[$supportjob]$mod_level</TD>";
		} else {
			print "<TD align=center>$joblist[$mainjob]$main_level</TD>";
		}
		
		
		} else {
			print"<TD align=center>-</TD>";
		}
		print "<TD>$comment</TD>";
		
		&tr_end ;
	}
	print "</table>";
}

#udon

sub table_history{
	
	#\
	if(!open(IN,"$historyfile")){&header; &error_message('datafile error2449','data file access failed.');}
	@list=<IN>;
	close IN;
	
	@list=reverse(@list);
	
	$items="";
	$item="";
	$count=0;
	if($language ne "English"){
		print "<table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>ύXe</TH><TH>e</TH><TH width=10%></TH></TR>";
	} else {
		print "<table cellpading=0 width=100% class=tbl><TR bgcolor=$indexcolor><TH>Abstracts</TH><TH>Contents</TH><TH width=10%>Time</TH></TR>";
	}
	
	foreach $i(@list){
		($dummy,$rname,$rtitle,$rtime,$rmaxno,$rbody)=split(/\t/,$i);
		$rbody =~ s/&/&amp;/g;
		$rbody =~ s/"/&quot;/g;
		$rbody =~ s/'/&apos;/g;
		$rbody =~ s/&amp;sbquo;/&sbquo;/g;
		$rbody =~ s/&amp;lt;/&lt;/g;
		$rbody =~ s/&amp;gt;/&gt;/g;
		$rtime =~ s/T/ /g;
		$rtime =~ s/\+09:00//g;
		
		if($language ne "English"){
			
			if($dummy eq "DWRITE"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rtitle : $rname [$rno] ̓L[$rmaxno]XV";
				$rsource="$rname/diary/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;diaryno=$rmaxno";
			}
			if($dummy eq "NEWREG"){
				$rstitle="$rtitle : $rname [$rmaxno]VKo^";
				$rsource="$rname/newreg/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody="VKo^";
			}
			if($dummy eq "DMODIF"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rtitle : $rname [$rno] ̓L[$rmaxno]C";
				$rsource="$rname/dmodif/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;diaryno=$rmaxno&amp;mod";
				$rbody="LC";
			}
			if($dummy eq "PROFED"){
				$rstitle="$rname vtB[ύX";
				$rsource="$rname/profed/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody =~ s/\//<BR>\n/g;
			}
			if($dummy eq "MERIED"){
				$rstitle="$rname 񃁃bg|Cg ύX";
				$rsource="$rname/profed/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody =~ s/\//<BR>\n/g;
			#	$rbody = "bg|CgɕύX܂B";
			}
			if($dummy eq "CUSTED"){
				$rstitle="$rname $custom_field[0] ύX";
				$rsource="$rname/profed/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody =~ s/\//<BR>\n/g;
			#	$rbody = "$custom_field[0]ύX";
			}
			if($dummy eq "DERASE"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rname [$rno] ̓L[$rmaxno]폜";
				$rsource="$rname/derase/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;del";
				$rbody="deleted";
			}
			
			if($dummy eq "RESDIA"){
				($n1,$n2)=split(/ /,$rname);
				( $n2,$rno2 ) = split(/,/,$n2 );
				$rstitle="$n2 [$rno2] ̓L[$rmaxno]$n1 X";
				$rsource="$n1$n2$rtitle/resdia/$rmaxno";
				$link="$script?function=prof&amp;name=$n2&amp;no=$rno2&amp;diaryno=$rmaxno&amp;$rtitle";
			}
			if( $dummy eq 'EDTRIG'){
				$rstitle="$rname 񂪃gK[ $rtitle ύX";
			}
			if( $dummy eq 'DELTRIG'){
				$rstitle="$rname 񂪃gK[ $rtitle 폜";
			}
		} else {
			
			if($dummy eq "DWRITE"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rtitle : $rname[$rno]  's new diary[$rmaxno]";
				$rsource="$rname/diary/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;diaryno=$rmaxno";
			}
			if($dummy eq "NEWREG"){
				$rstitle="$rtitle : $rname is new comer [$rmaxno]";
				$rsource="$rname/newreg/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody="New Regist";
			}
			if($dummy eq "DMODIF"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rtitle : $rname[$rno]  's diary modified[$rmaxno]";
				$rsource="$rname/dmodif/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;diaryno=$rmaxno&amp;mod";
				$rbody="Diary modified";
			}
			if($dummy eq "PROFED"){
				$rstitle="$rname chaged profile.";
				$rsource="$rname/profed/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody =~ s/\//<BR>\n/g;
			}
			if($dummy eq "MERIED"){
				$rstitle="$rname changed merit point status.";
				$rsource="$rname/profed/$rmaxno";
				$link="$script?function=profdetail&amp;name=$rname&no=$rmaxno";
				$rbody =~ s/\//<BR>\n/g;
			}
			if($dummy eq "DERASE"){
				( $rname,$rno ) = split(/,/,$rname );
				$rstitle="$rname[$rno]  's diary  deleted[$rmaxno]";
				$rsource="$rname/derase/$rmaxno";
				$link="$script?function=prof&amp;name=$rname&amp;no=$rno&amp;del";
				$rbody="deleted";
			}
			
			if($dummy eq "RESDIA"){
				($n1,$n2)=split(/ /,$rname);
				( $n1,$rno1 ) = split(/,/,$n1 );
				( $n2,$rno2 ) = split(/,/,$n2 );
				$rstitle="Respose for $n2[$rno2]  's diary [$rmaxno] from $n1[$rno1] ";
				$rsource="$n1$n2$rtitle/resdia/$rmaxno";
				$link="$script?function=prof&amp;name=$n2&amp;no=$rno2&amp;diaryno=$rmaxno&amp;$rtitle";
			}
			if( $dummy eq 'EDTRIG'){
				$rstile="$rname modified trigger, $rtitle ";
			}
			if( $dummy eq 'DELTRIG'){
				$rstile="$rname deleted trigger,  $rtitle ";
			}
		}
	
		@rbodylines = split(/<BR>/,$rbody);
		if ($#rbodylines > 8)
		{
			$rbody = join("<BR>", @rbodylines[0..5])."(and more)";
		}
	
		print "<TR bgcolor=$otherdata><TD><a href='$link'>$rstitle</a></TD><TD>$rbody</TD><TD>$rtime</TD></TR>";
		$count++;
	
	}
	print "</Table>";
	
}

# return 1 to require
1;