# GMR Table Common sub routine
#   table_common.pl
#
#   ver 0.803 (2016/07/16)

# sub th_bgn		e[uwbhJn
# sub th_end		e[uwbhI
# sub tr_bgn		e[usJn
# sub tr_end		e[usI
# sub td		e[uf[^

sub th_bgn {				# ( s, CLASS\, ICON\ )
	$th_rowspan = $_[0] ;
	if ( ( $#_ >=1 ) and ( $_[1] == 1 ) ) { $th_class_display = 1 ;	} else { $th_class_display = 0 ;	}
	if ( ( $#_ >=2 ) and ( $_[2] == 1 ) ) { $th_icon_display = 1 ;	} else { $th_icon_display = 0 ;	}

	$str1 = "<table cellpading=0 width=100% class=tbl>\n<TR bgcolor=$indexcolor>\n" ;
	$str1 .= "<TH rowspan=$th_rowspan width=2%>$index[0]</TH>\n" ;

	if ( $th_icon_display == 1 ) {
		$str1 .= "<TH rowspan=$th_rowspan width=2%>$index[3]</TH>\n" ;
	}
	if ( $th_class_display == 1 ) {
		$str1 .= "<TH rowspan=$th_rowspan width=10%><a href='$script?limit=$limit&level=$level&sort=15&mode=r'>$index[1]</a></TH>\n" ;
	}
	$str1 .= "<TH rowspan=$th_rowspan width=10%><a href='$script?limit=$limit&level=$level&sort=1'>$index[2]</a></TH>\n" ;

	if ( $th_rowspan >= 2 ) {	$str2 = "<TR bgcolor=$indexcolor>";	}
	if ( $th_rowspan >= 3 ) {	$str3 = "<TR bgcolor=$indexcolor>";	}
	if ( $th_rowspan >= 4 ) {	$str4 = "<TR bgcolor=$indexcolor>";	}
	if ( $th_rowspan >= 5 ) {	$str5 = "<TR bgcolor=$indexcolor>";	}
	if ( $th_rowspan >= 6 ) {	$str6 = "<TR bgcolor=$indexcolor>";	}
}

sub th_end {
	$str1 .= "<TH rowspan=$th_rowspan width=5%><a href='$script?limit=$limit&level=$level&sort=16&mode=r'>$index[8]</a></TH></TR>";
	$string = "$str1\n" ;

	if ( $th_rowspan >= 2 ) {	$str2 .= "</TR>";	$string .= "$str2\n" ;	}
	if ( $th_rowspan >= 3 ) {	$str3 .= "</TR>";	$string .= "$str3\n" ;	}
	if ( $th_rowspan >= 4 ) {	$str4 .= "</TR>";	$string .= "$str4\n" ;	}
	if ( $th_rowspan >= 5 ) {	$str5 .= "</TR>";	$string .= "$str5\n" ;	}
	if ( $th_rowspan >= 6 ) {	$str6 .= "</TR>";	$string .= "$str6\n" ;	}

	print "$string";
	$string = "</table>\n$string";

	require( "diary.pl" ) ;

	$count=0;
	$number=1;
}

sub tr_bgn {				# ( s )
	if ( $#_ != 0 ) {	$tr_rowspan = 1 ;	}
	 else {		$tr_rowspan = $_[0] ;	}

		if($count>=$c_max){
			print "$string";
			$count = 0;
		}
		
		&icon_diary;

		$bgn="";
		if ( ($name eq $c_name) and ($pass eq $c_pass) ) {
			$bgn=" bgcolor=$mydata";
		} else {
			$bgn=" bgcolor=$otherdata";
		}

		print "<TR$bgn><TD rowspan=$tr_rowspan align=center>$no</TD>" ;

	if ( $th_icon_display == 1 ) {
		if($iconuse eq "yes"){
			print "<TD rowspan=$tr_rowspan align=center><img src=$icondir$facelist[$race]$facetypelist[$etc[0]]\.gif></TD>";
		} else {
			print "<TD rowspan=$tr_rowspan align=center>$racelist[$race]</TD>";
		}
	}
	if ( $th_class_display == 1 ) {
		if($class_edit==0){
			$class =~ s/&lt;/</g;
			$class =~ s/&gt;/>/g;
		}
		if ($class eq "") { $class="&nbsp"; }
		print "<TD rowspan=$tr_rowspan align=center>$class</TD>" ;
	}

		print "<TD rowspan=$tr_rowspan><a href='$script?function=profdetail&name=$name&no=$no'>$name</a>$diary</TD>";
}

sub tr_end {				# ( 1s )
		$date=substr($time,0,8);
	if ( $#_ != 0 ) {	
		$date.="<br>".substr($time,9,2).":".substr($time,11,2);
	}
		print "<TD rowspan=$tr_rowspan align=center>$date</TD></TR>\n";
		
		$number++;
		$count++;
}
sub td {				# ( f[^, ڕWl )
		print "<TD align=center>";
	if ( $#_ != 0 ) {	
		if ( $_[0] >= $_[1] ) 	{	print "<font color=blue>" ;	}
	}
		print "$_[0]</TD>\n";
}


#  return TRUE for require
return 1;
